summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-process')
-rw-r--r--sys-process/acct/acct-6.6.4-r3.ebuild3
-rw-r--r--sys-process/at/metadata.xml4
-rw-r--r--sys-process/audit/audit-3.0.6-r1.ebuild2
-rw-r--r--sys-process/audit/audit-3.0.7-r1.ebuild2
-rw-r--r--sys-process/audit/audit-3.0.8.ebuild2
-rw-r--r--sys-process/bcron/bcron-0.11.ebuild4
-rw-r--r--sys-process/bpytop/bpytop-1.0.68.ebuild2
-rw-r--r--sys-process/btop/Manifest2
-rw-r--r--sys-process/btop/btop-1.2.7-r1.ebuild48
-rw-r--r--sys-process/btop/btop-1.2.8.ebuild44
-rw-r--r--sys-process/btop/files/btop-1.2.7-respect-cxx-var-839318.patch17
-rw-r--r--sys-process/btop/metadata.xml16
-rw-r--r--sys-process/criu/criu-3.16.1.ebuild2
-rw-r--r--sys-process/criu/criu-3.17-r1.ebuild (renamed from sys-process/criu/criu-3.17.ebuild)7
-rw-r--r--sys-process/criu/files/criu-3.17-glibc-2.36.patch242
-rw-r--r--sys-process/cronie/metadata.xml6
-rw-r--r--sys-process/dumb-init/Manifest1
-rw-r--r--sys-process/dumb-init/dumb-init-1.2.1.ebuild31
-rw-r--r--sys-process/dumb-init/metadata.xml8
-rw-r--r--sys-process/fcron/metadata.xml4
-rw-r--r--sys-process/glances/Manifest3
-rw-r--r--sys-process/glances/files/glances-3.2.5-disable-update-check.patch31
-rw-r--r--sys-process/glances/glances-3.2.5.ebuild93
-rw-r--r--sys-process/glances/glances-3.2.6.4.ebuild93
-rw-r--r--sys-process/glances/glances-3.2.7.ebuild93
-rw-r--r--sys-process/glances/metadata.xml6
-rw-r--r--sys-process/htop/Manifest2
-rw-r--r--sys-process/htop/htop-3.2.1-r1.ebuild105
-rw-r--r--sys-process/htop/htop-3.2.1-r2.ebuild113
-rw-r--r--sys-process/htop/htop-3.2.1.ebuild106
-rw-r--r--sys-process/htop/htop-9999.ebuild36
-rw-r--r--sys-process/htop/metadata.xml6
-rw-r--r--sys-process/incron/Manifest2
-rw-r--r--sys-process/incron/incron-0.5.12_p20171113-r1.ebuild63
-rw-r--r--sys-process/incron/incron-0.5.12_p20171113.ebuild (renamed from sys-process/incron/incron-0.5.12_p20191114-r1.ebuild)0
-rw-r--r--sys-process/incron/metadata.xml4
-rw-r--r--sys-process/lsof/Manifest1
-rw-r--r--sys-process/lsof/files/lsof-4.94-arm-sigbus-fix.patch63
-rw-r--r--sys-process/lsof/lsof-4.94.0-r1.ebuild117
-rw-r--r--sys-process/lsof/lsof-4.95.0.ebuild2
-rw-r--r--sys-process/lsof/metadata.xml21
-rw-r--r--sys-process/nmon/Manifest1
-rw-r--r--sys-process/nmon/files/nmon-16n-musl.patch29
-rw-r--r--sys-process/nmon/nmon-16n.ebuild57
-rw-r--r--sys-process/numactl/files/numactl-2.0.10-numademo-cflags.patch15
-rw-r--r--sys-process/numactl/numactl-2.0.14-r1.ebuild68
-rw-r--r--sys-process/numactl/numactl-9999.ebuild19
-rw-r--r--sys-process/numad/files/numad-0.5-wformat-security.patch19
-rw-r--r--sys-process/numad/numad-0.5-r4.ebuild53
-rw-r--r--sys-process/numad/numad-9999.ebuild17
-rw-r--r--sys-process/parallel/Manifest10
-rw-r--r--sys-process/parallel/files/parallel-20220622-makefile-completions-deux.patch83
-rw-r--r--sys-process/parallel/parallel-20220522.ebuild (renamed from sys-process/parallel/parallel-20220322.ebuild)0
-rw-r--r--sys-process/parallel/parallel-20220622-r1.ebuild40
-rw-r--r--sys-process/parallel/parallel-20220722.ebuild (renamed from sys-process/parallel/parallel-20220422.ebuild)8
-rw-r--r--sys-process/procps/metadata.xml29
-rw-r--r--sys-process/psmisc/metadata.xml15
-rw-r--r--sys-process/runit/runit-2.1.2-r1.ebuild2
-rw-r--r--sys-process/schedtool/metadata.xml8
-rw-r--r--sys-process/schedtool/schedtool-1.3.0-r1.ebuild2
-rw-r--r--sys-process/systemd-cron/Manifest2
-rw-r--r--sys-process/systemd-cron/files/systemd-cron-1.15.19-default-mail-user.patch28
-rw-r--r--sys-process/systemd-cron/systemd-cron-1.15.19-r1.ebuild96
-rw-r--r--sys-process/systemd-cron/systemd-cron-1.15.19.ebuild (renamed from sys-process/systemd-cron/systemd-cron-1.5.17.ebuild)6
-rw-r--r--sys-process/systemd-cron/systemd-cron-1.5.18.ebuild2
-rw-r--r--sys-process/uksmd/Manifest2
-rw-r--r--sys-process/uksmd/files/uksmd-0-remove-systemd-dep.patch32
-rw-r--r--sys-process/uksmd/files/uksmd-0_pre20200504-respect-cflags-ldflags.patch15
-rw-r--r--sys-process/uksmd/uksmd-0_pre20211019.ebuild35
-rw-r--r--sys-process/uksmd/uksmd-0_pre20220705-r1.ebuild33
70 files changed, 1735 insertions, 398 deletions
diff --git a/sys-process/acct/acct-6.6.4-r3.ebuild b/sys-process/acct/acct-6.6.4-r3.ebuild
index 726e65d33cb..20e1cbc42b8 100644
--- a/sys-process/acct/acct-6.6.4-r3.ebuild
+++ b/sys-process/acct/acct-6.6.4-r3.ebuild
@@ -13,6 +13,9 @@ LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux"
+IUSE="selinux"
+
+RDEPEND="selinux? ( sec-policy/selinux-acct )"
BDEPEND="sys-apps/texinfo"
PATCHES=(
diff --git a/sys-process/at/metadata.xml b/sys-process/at/metadata.xml
index d6430afef9e..489e730c1c9 100644
--- a/sys-process/at/metadata.xml
+++ b/sys-process/at/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
- </maintainer>
- <maintainer type="person">
<email>blueness@gentoo.org</email>
<name>Anthony G. Basile</name>
</maintainer>
diff --git a/sys-process/audit/audit-3.0.6-r1.ebuild b/sys-process/audit/audit-3.0.6-r1.ebuild
index 6341dfc4939..d3385c3d2ba 100644
--- a/sys-process/audit/audit-3.0.6-r1.ebuild
+++ b/sys-process/audit/audit-3.0.6-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit autotools multilib-minimal toolchain-funcs python-r1 linux-info systemd usr-ldscript
diff --git a/sys-process/audit/audit-3.0.7-r1.ebuild b/sys-process/audit/audit-3.0.7-r1.ebuild
index ab3ffbbffea..b6ddc1a4d1b 100644
--- a/sys-process/audit/audit-3.0.7-r1.ebuild
+++ b/sys-process/audit/audit-3.0.7-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit autotools multilib-minimal toolchain-funcs python-r1 linux-info systemd usr-ldscript
diff --git a/sys-process/audit/audit-3.0.8.ebuild b/sys-process/audit/audit-3.0.8.ebuild
index 5b0d02d64cb..4c4bfe08a04 100644
--- a/sys-process/audit/audit-3.0.8.ebuild
+++ b/sys-process/audit/audit-3.0.8.ebuild
@@ -7,7 +7,7 @@ EAPI=7
# check Fedora's packaging (https://src.fedoraproject.org/rpms/audit/tree/rawhide)
# on bumps (or if hitting a bug) to see what they've done there.
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit autotools multilib-minimal toolchain-funcs python-r1 linux-info systemd usr-ldscript
diff --git a/sys-process/bcron/bcron-0.11.ebuild b/sys-process/bcron/bcron-0.11.ebuild
index e222025a062..3a2e995a8ce 100644
--- a/sys-process/bcron/bcron-0.11.ebuild
+++ b/sys-process/bcron/bcron-0.11.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{8..11} )
inherit cron python-any-r1 toolchain-funcs
diff --git a/sys-process/bpytop/bpytop-1.0.68.ebuild b/sys-process/bpytop/bpytop-1.0.68.ebuild
index 9cd9d1c1144..ea2db45e631 100644
--- a/sys-process/bpytop/bpytop-1.0.68.ebuild
+++ b/sys-process/bpytop/bpytop-1.0.68.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/aristocratos/${PN}/archive/v${PV}.tar.gz -> ${P}.tar
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~ppc ~ppc64 ~riscv ~x86"
IUSE="test"
RDEPEND="
diff --git a/sys-process/btop/Manifest b/sys-process/btop/Manifest
new file mode 100644
index 00000000000..bcc4fb50a4d
--- /dev/null
+++ b/sys-process/btop/Manifest
@@ -0,0 +1,2 @@
+DIST btop-1.2.7.tar.gz 974883 BLAKE2B c23c0b13ee6749e30ca8a7624f27bac8dc81466ff957a042c9c5e4f7c31b81fc6c15d6b214186e4baed474263ea96a3ffc584783cd098f3ebcae9e34bd75a955 SHA512 c29e1e3d098ef29c710bf76c1ef20e54feceb490aa59d20475a7083a276d422a32f4b4ff423a121aa4aa7f83389980e553e1f78c165f111fe00ccac693d96447
+DIST btop-1.2.8.tar.gz 976370 BLAKE2B ab71ac322afd84b5b73c5deb9003f319078809d81e2725a7447d2a8fe7539af21c669e7199a3422b2a1cc2ecbd79a46179343e00311f2d56bfa30f51d6340bd3 SHA512 4b5a3685ca5cf301cd7d6556bd365892587e6811f8323ca66728022aba7cc3ff95cf591b452151c9431824dc458bc3d09e10474c7c02a944e8931c4585914f5a
diff --git a/sys-process/btop/btop-1.2.7-r1.ebuild b/sys-process/btop/btop-1.2.7-r1.ebuild
new file mode 100644
index 00000000000..11ad6ec5ab1
--- /dev/null
+++ b/sys-process/btop/btop-1.2.7-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg-utils
+
+DESCRIPTION="A monitor of resources"
+HOMEPAGE="https://github.com/aristocratos/btop"
+SRC_URI="https://github.com/aristocratos/btop/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm64 ppc64 x86"
+
+PATCHES=(
+ "${FILESDIR}/${P}-respect-cxx-var-839318.patch"
+)
+
+src_prepare() {
+ default
+ # btop installs README.md to /usr/share/btop by default
+ sed -i '/^.*cp -p README.md.*$/d' Makefile || die
+}
+
+src_compile() {
+ # Disable btop optimization flags, since we have our flags in CXXFLAGS
+ emake OPTFLAGS="" CXX="$(tc-getCXX)"
+}
+
+src_install() {
+ emake \
+ PREFIX="${EPREFIX}/usr" \
+ DESTDIR="${D}" \
+ install
+
+ dodoc README.md CHANGELOG.md
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/sys-process/btop/btop-1.2.8.ebuild b/sys-process/btop/btop-1.2.8.ebuild
new file mode 100644
index 00000000000..e1fc710c461
--- /dev/null
+++ b/sys-process/btop/btop-1.2.8.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg-utils
+
+DESCRIPTION="A monitor of resources"
+HOMEPAGE="https://github.com/aristocratos/btop"
+SRC_URI="https://github.com/aristocratos/btop/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+src_prepare() {
+ default
+ # btop installs README.md to /usr/share/btop by default
+ sed -i '/^.*cp -p README.md.*$/d' Makefile || die
+}
+
+src_compile() {
+ # Disable btop optimization flags, since we have our flags in CXXFLAGS
+ emake OPTFLAGS="" CXX="$(tc-getCXX)"
+}
+
+src_install() {
+ emake \
+ PREFIX="${EPREFIX}/usr" \
+ DESTDIR="${D}" \
+ install
+
+ dodoc README.md CHANGELOG.md
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/sys-process/btop/files/btop-1.2.7-respect-cxx-var-839318.patch b/sys-process/btop/files/btop-1.2.7-respect-cxx-var-839318.patch
new file mode 100644
index 00000000000..5ec7dca45c1
--- /dev/null
+++ b/sys-process/btop/files/btop-1.2.7-respect-cxx-var-839318.patch
@@ -0,0 +1,17 @@
+--- a/Makefile
++++ b/Makefile
+@@ -55,11 +55,11 @@ endif
+
+ #? Compiler and Linker
+ ifeq ($(shell command -v g++-11 >/dev/null; echo $$?),0)
+- CXX := g++-11
++ CXX ?= g++-11
+ else ifeq ($(shell command -v g++11 >/dev/null; echo $$?),0)
+- CXX := g++11
++ CXX ?= g++11
+ else ifeq ($(shell command -v g++ >/dev/null; echo $$?),0)
+- CXX := g++
++ CXX ?= g++
+ endif
+ override CXX_VERSION := $(shell $(CXX) -dumpfullversion -dumpversion || echo 0)
+
diff --git a/sys-process/btop/metadata.xml b/sys-process/btop/metadata.xml
new file mode 100644
index 00000000000..a102c953b97
--- /dev/null
+++ b/sys-process/btop/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>nex+b-g-o@nexadn.de</email>
+ <name>Adrian Schollmeyer</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">aristocratos/btop</remote-id>
+ <bugs-to>https://github.com/aristocratos/btop/issues</bugs-to>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-process/criu/criu-3.16.1.ebuild b/sys-process/criu/criu-3.16.1.ebuild
index 3d7905d61eb..66056971d83 100644
--- a/sys-process/criu/criu-3.16.1.ebuild
+++ b/sys-process/criu/criu-3.16.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/checkpoint-restore/${PN}/archive/v${PV}/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 -riscv"
+KEYWORDS="amd64 ~arm arm64 ppc64 -riscv"
IUSE="bpf doc gnutls nftables selinux setproctitle static-libs test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/sys-process/criu/criu-3.17.ebuild b/sys-process/criu/criu-3.17-r1.ebuild
index 4ac0facc8cc..ac5e1722d99 100644
--- a/sys-process/criu/criu-3.17.ebuild
+++ b/sys-process/criu/criu-3.17-r1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/checkpoint-restore/${PN}/archive/v${PV}/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 -riscv"
-IUSE="bpf doc gnutls nftables selinux setproctitle static-libs test"
+IUSE="bpf doc gnutls nftables selinux setproctitle static-libs test video_cards_amdgpu"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -32,6 +32,7 @@ COMMON_DEPEND="
nftables? ( net-libs/gnutls:= )
selinux? ( sys-libs/libselinux:= )
setproctitle? ( dev-libs/libbsd:= )
+ video_cards_amdgpu? ( x11-libs/libdrm[video_cards_amdgpu] )
"
DEPEND="${COMMON_DEPEND}"
BDEPEND="
@@ -59,6 +60,7 @@ PATCHES=(
"${FILESDIR}/criu-3.16.1-buildsystem.patch"
"${FILESDIR}/${P}-amdgpu-build-fixes.patch"
+ "${FILESDIR}/${PN}-3.17-glibc-2.36.patch"
)
criu_arch() {
@@ -99,10 +101,11 @@ src_configure() {
# we'd like to avoid it. https://bugs.gentoo.org/744244
unset GCOV
- # we have to sed the Makdfile.config to disable automagic deps
+ # we have to sed the Makefile.config to disable automagic deps
criu_use selinux
criu_use bpf
criu_use nftables
+ criu_use video_cards_amdgpu libdrm
emake_opts=(
SETPROCTITLE="$(usex setproctitle)"
diff --git a/sys-process/criu/files/criu-3.17-glibc-2.36.patch b/sys-process/criu/files/criu-3.17-glibc-2.36.patch
new file mode 100644
index 00000000000..5387c5a5b97
--- /dev/null
+++ b/sys-process/criu/files/criu-3.17-glibc-2.36.patch
@@ -0,0 +1,242 @@
+https://bugs.gentoo.org/863683
+https://github.com/checkpoint-restore/criu/pull/1943
+
+From 8cd5fccd6cf3d03afb5abe463134d31f54d42258 Mon Sep 17 00:00:00 2001
+From: Radostin Stoyanov <rstoyanov@fedoraproject.org>
+Date: Sun, 31 Jul 2022 16:07:30 +0000
+Subject: [PATCH 2/2] criu: fix conflicting headers
+
+There are several changes in glibc 2.36 that make sys/mount.h header
+incompatible with kernel headers:
+
+https://sourceware.org/glibc/wiki/Release/2.36#Usage_of_.3Clinux.2Fmount.h.3E_and_.3Csys.2Fmount.h.3E
+
+This patch removes conflicting includes for `<linux/mount.h>` and
+updates the content of `criu/include/linux/mount.h` to match
+`/usr/include/sys/mount.h`. In addition, inline definitions sys_*()
+functions have been moved from "linux/mount.h" to "syscall.h" to
+avoid conflicts with `uapi/compel/plugins/std/syscall.h` and
+`<unistd.h>`. The include for `<linux/aio_abi.h>` has been replaced
+with local include to avoid conflicts with `<sys/mount.h>`.
+
+Fixes: #1949
+
+Signed-off-by: Radostin Stoyanov <rstoyanov@fedoraproject.org>
+--- a/criu/cgroup.c
++++ b/criu/cgroup.c
+@@ -27,6 +27,7 @@
+ #include "images/cgroup.pb-c.h"
+ #include "kerndat.h"
+ #include "linux/mount.h"
++#include "syscall.h"
+
+ /*
+ * This structure describes set of controller groups
+--- a/criu/cr-check.c
++++ b/criu/cr-check.c
+@@ -21,7 +21,6 @@
+ #include <sys/prctl.h>
+ #include <sched.h>
+ #include <sys/mount.h>
+-#include <linux/aio_abi.h>
+
+ #include "../soccr/soccr.h"
+
+@@ -52,6 +51,7 @@
+ #include "net.h"
+ #include "restorer.h"
+ #include "uffd.h"
++#include "linux/aio_abi.h"
+
+ #include "images/inventory.pb-c.h"
+
+--- a/criu/cr-restore.c
++++ b/criu/cr-restore.c
+@@ -22,7 +22,6 @@
+ #include <compel/ptrace.h>
+ #include "common/compiler.h"
+
+-#include "linux/mount.h"
+ #include "linux/rseq.h"
+
+ #include "clone-noasan.h"
+@@ -86,6 +85,8 @@
+ #include <compel/plugins/std/syscall-codes.h>
+ #include "compel/include/asm/syscall.h"
+
++#include "linux/mount.h"
++
+ #include "protobuf.h"
+ #include "images/sa.pb-c.h"
+ #include "images/timer.pb-c.h"
+--- a/criu/include/aio.h
++++ b/criu/include/aio.h
+@@ -1,7 +1,7 @@
+ #ifndef __CR_AIO_H__
+ #define __CR_AIO_H__
+
+-#include <linux/aio_abi.h>
++#include "linux/aio_abi.h"
+ #include "images/mm.pb-c.h"
+ unsigned int aio_estimate_nr_reqs(unsigned int size);
+ int dump_aio_ring(MmEntry *mme, struct vma_area *vma);
+--- /dev/null
++++ b/criu/include/linux/aio_abi.h
+@@ -0,0 +1,14 @@
++#ifndef __LINUX__AIO_ABI_H
++#define __LINUX__AIO_ABI_H
++
++typedef __kernel_ulong_t aio_context_t;
++
++/* read() from /dev/aio returns these structures. */
++struct io_event {
++ __u64 data; /* the data field from the iocb */
++ __u64 obj; /* what iocb this event came from */
++ __s64 res; /* result code for this event */
++ __s64 res2; /* secondary result */
++};
++
++#endif /* __LINUX__AIO_ABI_H */
+--- a/criu/include/linux/mount.h
++++ b/criu/include/linux/mount.h
+@@ -4,32 +4,34 @@
+ #include "common/config.h"
+ #include "compel/plugins/std/syscall-codes.h"
+
+-#ifdef CONFIG_HAS_FSCONFIG
+-#include <linux/mount.h>
+-#else
++/* Copied from /usr/include/sys/mount.h */
++
++#ifndef FSCONFIG_CMD_CREATE
++/* The type of fsconfig call made. */
+ enum fsconfig_command {
+- FSCONFIG_SET_FLAG = 0, /* Set parameter, supplying no value */
+- FSCONFIG_SET_STRING = 1, /* Set parameter, supplying a string value */
+- FSCONFIG_SET_BINARY = 2, /* Set parameter, supplying a binary blob value */
+- FSCONFIG_SET_PATH = 3, /* Set parameter, supplying an object by path */
+- FSCONFIG_SET_PATH_EMPTY = 4, /* Set parameter, supplying an object by (empty) path */
+- FSCONFIG_SET_FD = 5, /* Set parameter, supplying an object by fd */
+- FSCONFIG_CMD_CREATE = 6, /* Invoke superblock creation */
++ FSCONFIG_SET_FLAG = 0, /* Set parameter, supplying no value */
++#define FSCONFIG_SET_FLAG FSCONFIG_SET_FLAG
++ FSCONFIG_SET_STRING = 1, /* Set parameter, supplying a string value */
++#define FSCONFIG_SET_STRING FSCONFIG_SET_STRING
++ FSCONFIG_SET_BINARY = 2, /* Set parameter, supplying a binary blob value */
++#define FSCONFIG_SET_BINARY FSCONFIG_SET_BINARY
++ FSCONFIG_SET_PATH = 3, /* Set parameter, supplying an object by path */
++#define FSCONFIG_SET_PATH FSCONFIG_SET_PATH
++ FSCONFIG_SET_PATH_EMPTY = 4, /* Set parameter, supplying an object by (empty) path */
++#define FSCONFIG_SET_PATH_EMPTY FSCONFIG_SET_PATH_EMPTY
++ FSCONFIG_SET_FD = 5, /* Set parameter, supplying an object by fd */
++#define FSCONFIG_SET_FD FSCONFIG_SET_FD
++ FSCONFIG_CMD_CREATE = 6, /* Invoke superblock creation */
++#define FSCONFIG_CMD_CREATE FSCONFIG_CMD_CREATE
+ FSCONFIG_CMD_RECONFIGURE = 7, /* Invoke superblock reconfiguration */
++#define FSCONFIG_CMD_RECONFIGURE FSCONFIG_CMD_RECONFIGURE
+ };
+-#endif
++#endif // FSCONFIG_CMD_CREATE
+
+-static inline int sys_fsopen(const char *fsname, unsigned int flags)
+-{
+- return syscall(__NR_fsopen, fsname, flags);
+-}
+-static inline int sys_fsconfig(int fd, unsigned int cmd, const char *key, const char *value, int aux)
+-{
+- return syscall(__NR_fsconfig, fd, cmd, key, value, aux);
+-}
+-static inline int sys_fsmount(int fd, unsigned int flags, unsigned int attr_flags)
+-{
+- return syscall(__NR_fsmount, fd, flags, attr_flags);
+-}
++#ifndef MS_MGC_VAL
++/* Magic mount flag number. Has to be or-ed to the flag values. */
++#define MS_MGC_VAL 0xc0ed0000 /* Magic flag number to indicate "new" flags */
++#define MS_MGC_MSK 0xffff0000 /* Magic flag number mask */
++#endif
+
+ #endif
+--- /dev/null
++++ b/criu/include/syscall.h
+@@ -0,0 +1,17 @@
++#ifndef __CR_SYSCALL_H__
++#define __CR_SYSCALL_H__
++
++static inline int sys_fsopen(const char *fsname, unsigned int flags)
++{
++ return syscall(__NR_fsopen, fsname, flags);
++}
++static inline int sys_fsconfig(int fd, unsigned int cmd, const char *key, const char *value, int aux)
++{
++ return syscall(__NR_fsconfig, fd, cmd, key, value, aux);
++}
++static inline int sys_fsmount(int fd, unsigned int flags, unsigned int attr_flags)
++{
++ return syscall(__NR_fsmount, fd, flags, attr_flags);
++}
++
++#endif /* __CR_SYSCALL_H__ */
+\ No newline at end of file
+--- a/criu/pie/parasite.c
++++ b/criu/pie/parasite.c
+@@ -3,7 +3,6 @@
+ #include <signal.h>
+ #include <linux/limits.h>
+ #include <linux/capability.h>
+-#include <sys/mount.h>
+ #include <stdarg.h>
+ #include <sys/ioctl.h>
+ #include <sys/uio.h>
+@@ -14,6 +13,7 @@
+ #include "int.h"
+ #include "types.h"
+ #include <compel/plugins/std/syscall.h>
++#include "linux/mount.h"
+ #include "parasite.h"
+ #include "fcntl.h"
+ #include "prctl.h"
+--- a/criu/util.c
++++ b/criu/util.c
+@@ -40,6 +40,7 @@
+ #include "mem.h"
+ #include "namespaces.h"
+ #include "criu-log.h"
++#include "syscall.h"
+
+ #include "clone-noasan.h"
+ #include "cr_options.h"
+--- a/scripts/feature-tests.mak
++++ b/scripts/feature-tests.mak
+@@ -137,19 +137,6 @@ ENTRY(main)
+ END(main)
+ endef
+
+-define FEATURE_TEST_FSCONFIG
+-
+-#include <linux/mount.h>
+-
+-int main(void)
+-{
+- if (FSCONFIG_CMD_CREATE > 0)
+- return 0;
+- return 0;
+-}
+-
+-endef
+-
+ define FEATURE_TEST_NFTABLES_LIB_API_0
+
+ #include <string.h>
+
+--- a/Makefile.config
++++ b/Makefile.config
+@@ -70,7 +70,7 @@ export DEFINES += $(FEATURE_DEFINES)
+ export CFLAGS += $(FEATURE_DEFINES)
+
+ FEATURES_LIST := TCP_REPAIR STRLCPY STRLCAT PTRACE_PEEKSIGINFO \
+- SETPROCTITLE_INIT MEMFD TCP_REPAIR_WINDOW FSCONFIG MEMFD_CREATE OPENAT2
++ SETPROCTITLE_INIT MEMFD TCP_REPAIR_WINDOW MEMFD_CREATE OPENAT2
+
+ # $1 - config name
+ define gen-feature-test
diff --git a/sys-process/cronie/metadata.xml b/sys-process/cronie/metadata.xml
index 5e05e960d25..5b5f4362010 100644
--- a/sys-process/cronie/metadata.xml
+++ b/sys-process/cronie/metadata.xml
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
</maintainer>
<longdescription lang="en">
Cronie contains the standard UNIX daemon crond that runs specified programs at
diff --git a/sys-process/dumb-init/Manifest b/sys-process/dumb-init/Manifest
index 7740d4e7726..b595d01996b 100644
--- a/sys-process/dumb-init/Manifest
+++ b/sys-process/dumb-init/Manifest
@@ -1,2 +1 @@
-DIST dumb-init-1.2.1.tar.gz 24472 BLAKE2B a2d18aca8e67f14a436ef5a23d5010339e803cadeeee5ec01145c9ddc0e000d2ec3f91b5342f57fb6ec63c174ac51e058ec14cc6d38dbe2d9a0fcad4a82ce4f9 SHA512 5a621caab17e322bf67f6b1eecfed7a0b4c59f2369f62745a7403343d0d01a800fb075b7579a51b5f68f404a0fb35220b937b7253d1e598dfd32d9360b84ddf4
DIST dumb-init-1.2.5.tar.gz 26199 BLAKE2B b5733bd12fa2c2ebf2357a531d34e4bf92c29eaa3729c0c03dd1754c2ad43ba9ffc321f6e471d523df355575763d01b74af1950aba0fc285b9520d8052b1b07a SHA512 b2822f8d80050edd03495acb74c3087a9d4bbadd0250ea0166d67799d4308a2e29e1f08c404c232a418c6f09cfdd8ccb4fed1b29395e1b670965b770b9f310cf
diff --git a/sys-process/dumb-init/dumb-init-1.2.1.ebuild b/sys-process/dumb-init/dumb-init-1.2.1.ebuild
deleted file mode 100644
index 9355362187d..00000000000
--- a/sys-process/dumb-init/dumb-init-1.2.1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit flag-o-matic toolchain-funcs
-
-DESCRIPTION="A minimal init system for Linux containers"
-HOMEPAGE="https://github.com/Yelp/dumb-init"
-SRC_URI="https://github.com/Yelp/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="static"
-RESTRICT="test"
-
-src_prepare() {
- default
- use static && append-cflags -static
- sed -e "s|^CFLAGS=.*|CFLAGS=-std=gnu99 ${CFLAGS}|" -i Makefile || die
-}
-
-src_compile() {
- CC="$(tc-getCC)" emake
-}
-
-src_install() {
- dobin ${PN}
- dodoc README.md
-}
diff --git a/sys-process/dumb-init/metadata.xml b/sys-process/dumb-init/metadata.xml
index f9078111aef..d20cb3ffe3a 100644
--- a/sys-process/dumb-init/metadata.xml
+++ b/sys-process/dumb-init/metadata.xml
@@ -1,12 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <upstream>
- <remote-id type="github">Yelp/dumb-init</remote-id>
- <remote-id type="pypi">dumb-init</remote-id>
- </upstream>
<maintainer type="person">
<email>zmedico@gentoo.org</email>
<name>Zac Medico</name>
</maintainer>
+ <upstream>
+ <remote-id type="github">Yelp/dumb-init</remote-id>
+ <remote-id type="pypi">dumb-init</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sys-process/fcron/metadata.xml b/sys-process/fcron/metadata.xml
index 9ad46bdf7db..025c721b00d 100644
--- a/sys-process/fcron/metadata.xml
+++ b/sys-process/fcron/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>whissi@gentoo.org</email>
- <name>Thomas Deutschmann</name>
- </maintainer>
- <maintainer type="person">
<email>blueness@gentoo.org</email>
<name>Anthony G. Basile</name>
</maintainer>
diff --git a/sys-process/glances/Manifest b/sys-process/glances/Manifest
index 87d56e6e408..cc26997b8a8 100644
--- a/sys-process/glances/Manifest
+++ b/sys-process/glances/Manifest
@@ -1,2 +1,5 @@
DIST glances-3.2.2.tar.gz 6861708 BLAKE2B 99ed3298724a82f036660f05cfd374f8dfa4883ef3c710dfe789ed9f9986bfe873117096564f1dd46d91cd3d0304e0cd1876d17ecd6e3aad98c7dd9df2095265 SHA512 e77b62e5fa6131914b56f0b5249789b3bcac0c625cd429eeb0870a14be55f15c401956c002376e5868fa1332bbb219e9bd3a5bd14c739e3404b068a063af6821
DIST glances-3.2.4.2.tar.gz 6914758 BLAKE2B faab5df2689477c5b6df047a2e0d03b09981f064d13ece4e66bdabb816168e035771ed7fd8863723b57c88f47d42674ca3553b5538c0386eab32516fdc7e2a1d SHA512 74d495303b8c0e421a2139167d998c56adfb09434f72faf34c46e0be07087c0a152a1a637b62badaf3b1934ee7892c1a9e205c260aa10655b0bfff91491fc5e1
+DIST glances-3.2.5.tar.gz 6913167 BLAKE2B 8dc96e59f3cfd624211e0e30d5c5c5bc790a2fea62cd92068bfb779048d51fd95e6c83e62fd70ad2d1e8450435616803e01f7434d419b4f4187ad41fc193121a SHA512 ebff1cf893ca4d3e490f4a6b72fa70df0afb4c36ac1b3fa762dcaa47206bc1e613c8d87f1b2fc5cae27636612a89b417ae91d016a129da4ac43a2a8a6f913945
+DIST glances-3.2.6.4.gh.tar.gz 6950769 BLAKE2B 69437cce71640c4291bc9f91a6c65a05d608e91e834193fabb5b66c4a5fba92238a3aad3b972e71e8e4baff6c92045d1807e65bad43f1318a7cc077c89c4f978 SHA512 21e2a6dacd2181d9b84927365425d4cf7767b73f92949e778c42db68634cf655802c371418c51265c89099bbe11ed130e4b74ca0605601b7703dc0ee992f5417
+DIST glances-3.2.7.gh.tar.gz 6950597 BLAKE2B b76632787d39cb0f9388c00cc5838a9f553020b7ce1b502f205bbbf2255d7e2e02a2f2d629a84b23951b02a019d20b121dea7ea2cb7dec0a77b7c88ea4679cb1 SHA512 12edf99cf30c72a60eb7a604bce99bdac3ae290e910d0b88fc0b8b99045512dafd8d39bc61e8c768191335727ee5e2db4fa7d17ad92f63e849413a233c2ba5be
diff --git a/sys-process/glances/files/glances-3.2.5-disable-update-check.patch b/sys-process/glances/files/glances-3.2.5-disable-update-check.patch
new file mode 100644
index 00000000000..da12729eefd
--- /dev/null
+++ b/sys-process/glances/files/glances-3.2.5-disable-update-check.patch
@@ -0,0 +1,31 @@
+Description: Disable nagging suggestion to upgrade using pip
+Author: Sebastien Badia <sbadia@debian.org>
+Bug-Debian: https://bugs.debian.org/877127
+Forwarded: not-needed
+Last-Update: 2022-04-16
+
+--- a/glances/standalone.py
++++ b/glances/standalone.py
+@@ -107,9 +107,6 @@
+ # Init screen
+ self.screen = GlancesCursesStandalone(config=config, args=args)
+
+- # Check the latest Glances version
+- self.outdated = Outdated(config=config, args=args)
+-
+ @property
+ def quiet(self):
+ return self._quiet
+@@ -188,12 +185,3 @@
+
+ # Exit from export modules
+ self.stats.end()
+-
+- # Check Glances version versus PyPI one
+- if self.outdated.is_outdated():
+- print(
+- "You are using Glances version {}, however version {} is available.".format(
+- self.outdated.installed_version(), self.outdated.latest_version()
+- )
+- )
+- print("You should consider upgrading using: pip install --upgrade glances")
diff --git a/sys-process/glances/glances-3.2.5.ebuild b/sys-process/glances/glances-3.2.5.ebuild
new file mode 100644
index 00000000000..b19e2edb438
--- /dev/null
+++ b/sys-process/glances/glances-3.2.5.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 linux-info optfeature
+
+DESCRIPTION="CLI curses based monitoring tool"
+HOMEPAGE="https://github.com/nicolargo/glances"
+SRC_URI="https://github.com/nicolargo/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/future[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.4.3[${PYTHON_USEDEP}]
+ ')
+"
+
+# PYTHON_USEDEP omitted on purpose
+BDEPEND="doc? ( dev-python/sphinx_rtd_theme )"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS"
+
+PATCHES=(
+ "${FILESDIR}/${P}-disable-update-check.patch"
+)
+
+distutils_enable_tests setup.py
+distutils_enable_sphinx docs --no-autodoc
+
+pkg_setup() {
+ linux-info_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+python_prepare_all() {
+ # Remove duplicate entries of a prebuilt doc build and
+ # ensure install of the file glances.conf in /etc/${PN}
+ sed \
+ -e '/share\/doc\/glances/d' \
+ -e "s/'CONTRIBUTING.md',//" \
+ -e "s:'conf/glances.conf':('${EPREFIX}/etc/glances', ['conf/glances.conf':g" \
+ -i setup.py || die
+ sed -i "s/, 'irq']/]/" unitest.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ # add an intended file from original data set from setup.py to DOCS
+ local DOCS=( README.rst CONTRIBUTING.md conf/glances.conf )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ #optfeature "Action script feature" dev-python/pystache
+ optfeature "Autodiscover mode" dev-python/zeroconf
+ optfeature "Cloud support" dev-python/requests
+ optfeature "Docker monitoring support" dev-python/docker-py
+ #optfeature "Export module" \
+ # unpackaged/bernhard \
+ # unpackaged/cassandra-driver \
+ # unpackaged/potsdb \
+ # dev-python/couchdb-python \
+ # dev-python/elasticsearch-py \
+ # dev-python/influxdb \
+ # dev-python/kafka-python \
+ # dev-python/pika \
+ # dev-python/paho-mqtt \
+ # dev-python/prometheus_client \
+ # dev-python/pyzmq \
+ # dev-python/statsd
+ #optfeature "Nvidia GPU monitoring" unpackaged/nvidia-ml-py3
+ optfeature "SVG graph support" dev-python/pygal
+ optfeature "IP plugin" dev-python/netifaces
+ optfeature "RAID monitoring" dev-python/pymdstat
+ #optfeature "SMART support" unpackaged/pySMART.smartx
+ optfeature "RAID support" dev-python/pymdstat
+ optfeature "SNMP support" dev-python/pysnmp
+ #optfeature "sparklines plugin" unpackaged/sparklines
+ optfeature "Web server mode" dev-python/bottle dev-python/requests
+ optfeature "WIFI plugin" net-wireless/python-wifi
+}
diff --git a/sys-process/glances/glances-3.2.6.4.ebuild b/sys-process/glances/glances-3.2.6.4.ebuild
new file mode 100644
index 00000000000..ae070a4b097
--- /dev/null
+++ b/sys-process/glances/glances-3.2.6.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 linux-info optfeature
+
+DESCRIPTION="CLI curses based monitoring tool"
+HOMEPAGE="https://github.com/nicolargo/glances"
+SRC_URI="https://github.com/nicolargo/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/future[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.4.3[${PYTHON_USEDEP}]
+ ')
+"
+
+# PYTHON_USEDEP omitted on purpose
+BDEPEND="doc? ( dev-python/sphinx_rtd_theme )"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.2.5-disable-update-check.patch"
+)
+
+distutils_enable_tests setup.py
+distutils_enable_sphinx docs --no-autodoc
+
+pkg_setup() {
+ linux-info_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+python_prepare_all() {
+ # Remove duplicate entries of a prebuilt doc build and
+ # ensure install of the file glances.conf in /etc/${PN}
+ sed \
+ -e '/share\/doc\/glances/d' \
+ -e "s/'CONTRIBUTING.md',//" \
+ -e "s:'conf/glances.conf':('${EPREFIX}/etc/glances', ['conf/glances.conf':g" \
+ -i setup.py || die
+ sed -i "s/, 'irq']/]/" unitest.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ # add an intended file from original data set from setup.py to DOCS
+ local DOCS=( README.rst CONTRIBUTING.md conf/glances.conf )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ #optfeature "Action script feature" dev-python/pystache
+ optfeature "Autodiscover mode" dev-python/zeroconf
+ optfeature "Cloud support" dev-python/requests
+ optfeature "Docker monitoring support" dev-python/docker-py
+ #optfeature "Export module" \
+ # unpackaged/bernhard \
+ # unpackaged/cassandra-driver \
+ # unpackaged/potsdb \
+ # dev-python/couchdb-python \
+ # dev-python/elasticsearch-py \
+ # dev-python/influxdb \
+ # dev-python/kafka-python \
+ # dev-python/pika \
+ # dev-python/paho-mqtt \
+ # dev-python/prometheus_client \
+ # dev-python/pyzmq \
+ # dev-python/statsd
+ #optfeature "Nvidia GPU monitoring" unpackaged/nvidia-ml-py3
+ optfeature "SVG graph support" dev-python/pygal
+ optfeature "IP plugin" dev-python/netifaces
+ optfeature "RAID monitoring" dev-python/pymdstat
+ #optfeature "SMART support" unpackaged/pySMART.smartx
+ optfeature "RAID support" dev-python/pymdstat
+ optfeature "SNMP support" dev-python/pysnmp
+ #optfeature "sparklines plugin" unpackaged/sparklines
+ optfeature "Web server mode" dev-python/bottle dev-python/requests
+ optfeature "WIFI plugin" net-wireless/python-wifi
+}
diff --git a/sys-process/glances/glances-3.2.7.ebuild b/sys-process/glances/glances-3.2.7.ebuild
new file mode 100644
index 00000000000..ae070a4b097
--- /dev/null
+++ b/sys-process/glances/glances-3.2.7.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 linux-info optfeature
+
+DESCRIPTION="CLI curses based monitoring tool"
+HOMEPAGE="https://github.com/nicolargo/glances"
+SRC_URI="https://github.com/nicolargo/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/future[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.4.3[${PYTHON_USEDEP}]
+ ')
+"
+
+# PYTHON_USEDEP omitted on purpose
+BDEPEND="doc? ( dev-python/sphinx_rtd_theme )"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.2.5-disable-update-check.patch"
+)
+
+distutils_enable_tests setup.py
+distutils_enable_sphinx docs --no-autodoc
+
+pkg_setup() {
+ linux-info_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+python_prepare_all() {
+ # Remove duplicate entries of a prebuilt doc build and
+ # ensure install of the file glances.conf in /etc/${PN}
+ sed \
+ -e '/share\/doc\/glances/d' \
+ -e "s/'CONTRIBUTING.md',//" \
+ -e "s:'conf/glances.conf':('${EPREFIX}/etc/glances', ['conf/glances.conf':g" \
+ -i setup.py || die
+ sed -i "s/, 'irq']/]/" unitest.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ # add an intended file from original data set from setup.py to DOCS
+ local DOCS=( README.rst CONTRIBUTING.md conf/glances.conf )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ #optfeature "Action script feature" dev-python/pystache
+ optfeature "Autodiscover mode" dev-python/zeroconf
+ optfeature "Cloud support" dev-python/requests
+ optfeature "Docker monitoring support" dev-python/docker-py
+ #optfeature "Export module" \
+ # unpackaged/bernhard \
+ # unpackaged/cassandra-driver \
+ # unpackaged/potsdb \
+ # dev-python/couchdb-python \
+ # dev-python/elasticsearch-py \
+ # dev-python/influxdb \
+ # dev-python/kafka-python \
+ # dev-python/pika \
+ # dev-python/paho-mqtt \
+ # dev-python/prometheus_client \
+ # dev-python/pyzmq \
+ # dev-python/statsd
+ #optfeature "Nvidia GPU monitoring" unpackaged/nvidia-ml-py3
+ optfeature "SVG graph support" dev-python/pygal
+ optfeature "IP plugin" dev-python/netifaces
+ optfeature "RAID monitoring" dev-python/pymdstat
+ #optfeature "SMART support" unpackaged/pySMART.smartx
+ optfeature "RAID support" dev-python/pymdstat
+ optfeature "SNMP support" dev-python/pysnmp
+ #optfeature "sparklines plugin" unpackaged/sparklines
+ optfeature "Web server mode" dev-python/bottle dev-python/requests
+ optfeature "WIFI plugin" net-wireless/python-wifi
+}
diff --git a/sys-process/glances/metadata.xml b/sys-process/glances/metadata.xml
index 9723c1fafdb..0812be0addd 100644
--- a/sys-process/glances/metadata.xml
+++ b/sys-process/glances/metadata.xml
@@ -5,6 +5,10 @@
<email>gyakovlev@gentoo.org</email>
<name>Georgy Yakovlev</name>
</maintainer>
+ <maintainer type="person">
+ <email>ajak@gentoo.org</email>
+ <name>John Helmert III</name>
+ </maintainer>
<longdescription>
Glances is a cross-platform monitoring tool which aims to present a large
amount of monitoring information through a curses or Web based interface.
@@ -12,7 +16,7 @@
It can also work in client/server mode.
Remote monitoring could be done via terminal, Web interface or API (XML-RPC and RESTful).
Stats can also be exported to files or external time/value databases.
-</longdescription>
+ </longdescription>
<upstream>
<remote-id type="pypi">Glances</remote-id>
<remote-id type="github">nicolargo/glances</remote-id>
diff --git a/sys-process/htop/Manifest b/sys-process/htop/Manifest
index a321ed37031..a84a0344d1f 100644
--- a/sys-process/htop/Manifest
+++ b/sys-process/htop/Manifest
@@ -1,2 +1,4 @@
DIST htop-3.1.2.tar.gz 387656 BLAKE2B a9682b6f3475fbae6ab7fd57330271190ec32267c5a8f2aac845cd18c566eaa9beed642c1e67fbc9606f120df600c27ed2ef0480a29ef304875a99898c1f10e4 SHA512 7e08b820042e480ca61137ff24b468804b49b95c1bbedaf82029dd79d29c2c541c5211284ec075692203788bbb868a9d4326ffd24c68419e22eec13ae5012700
DIST htop-3.2.0.tar.gz 393712 BLAKE2B fff50fce1dd58d5738ca4a75a8b4078aa34e9544798c81bb18a2674823ab13a93ecec8c00d034704ecaab6a871efa2b021550dc1f0a03aa86f638c28e84f769e SHA512 174eaa7333fa60e40f67148560c53125e7aaf46a48e7f3ecfa2daa68553c94b3d076d03320afd479dcee07e739c0ff286a81b67cbc994782c33e798d3ed4605c
+DIST htop-3.2.1.tar.gz 397632 BLAKE2B 301bc421b3ff8136a70603c523dd719d38703288114712a6e178c1a348b1bc9b9d578cdf3cf8fe99a9bcd2d5721cd2a10caeeeb4614b24c4f20a8e103c37d236 SHA512 d7b76e28ee870ac572ba1d9606dec6f9475346a00e599ca15838017c97683f1fc1be40417b9c1e76128cacc8a60ff9ba88c6b237be1835d309f98329b25644fc
+DIST htop-3.2.1.tar.xz 406048 BLAKE2B 7addefca7de8f0867220e6415f4585f7e6ecf655d6245e4a8e120552ac738544fde1c2d8e24ce1139209caad23994316e8be9611f6ed0253d60547158d17ff24 SHA512 f412c10ebdec4fb026fb93a79a9b0b84612ad5a0d28e37f06713e6c895f70e92cbd09a8737d04f3d51102295d7a419eb2c3ec3907b96f553fda8ff3d1a2142b6
diff --git a/sys-process/htop/htop-3.2.1-r1.ebuild b/sys-process/htop/htop-3.2.1-r1.ebuild
new file mode 100644
index 00000000000..51aac02058d
--- /dev/null
+++ b/sys-process/htop/htop-3.2.1-r1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit linux-info optfeature python-any-r1 xdg
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop"
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/htop-dev/htop.git"
+ inherit autotools git-r3
+else
+ SRC_URI="https://github.com/htop-dev/htop/releases/download/${PV}/${P}.tar.xz"
+ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+fi
+
+S="${WORKDIR}/${P/_}"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+IUSE="caps debug delayacct hwloc lm-sensors llvm-libunwind openvz unicode unwind vserver"
+
+RDEPEND="
+ sys-libs/ncurses:=[unicode(+)?]
+ hwloc? ( sys-apps/hwloc:= )
+ unwind? (
+ !llvm-libunwind? ( sys-libs/libunwind:= )
+ llvm-libunwind? ( sys-libs/llvm-libunwind:= )
+ )
+ kernel_linux? (
+ caps? ( sys-libs/libcap )
+ delayacct? ( dev-libs/libnl:3 )
+ lm-sensors? ( sys-apps/lm-sensors )
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+ virtual/pkgconfig"
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ if [[ ${PV} == 9999 ]] ; then
+ eautoreconf
+ fi
+}
+
+src_configure() {
+ if [[ ${CBUILD} != ${CHOST} ]] ; then
+ # bug #328971
+ export ac_cv_file__proc_{meminfo,stat}=yes
+ fi
+
+ local myeconfargs=(
+ --enable-unicode
+ $(use_enable debug)
+ $(use_enable hwloc)
+ $(use_enable !hwloc affinity)
+ $(use_enable openvz)
+ $(use_enable unicode)
+ $(use_enable unwind)
+ $(use_enable vserver)
+ )
+
+ if use kernel_linux ; then
+ myeconfargs+=(
+ $(use_enable caps capabilities)
+ $(use_enable delayacct)
+ $(use_enable lm-sensors sensors)
+ )
+ else
+ if use kernel_Darwin ; then
+ # Upstream default to checking but --enable-affinity
+ # overrides this. Simplest to just disable on Darwin
+ # given it works on BSD anyway.
+ myeconfargs+=( --disable-affinity )
+ fi
+
+ myeconfargs+=(
+ --disable-capabilities
+ --disable-delayacct
+ --disable-sensors
+ )
+ fi
+
+ econf "${myeconfargs[@]}"
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "Viewing processes accessing certain files" sys-process/lsof
+}
diff --git a/sys-process/htop/htop-3.2.1-r2.ebuild b/sys-process/htop/htop-3.2.1-r2.ebuild
new file mode 100644
index 00000000000..7d41590b84b
--- /dev/null
+++ b/sys-process/htop/htop-3.2.1-r2.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+# We avoid xdg.eclass here because it'll pull in glib, desktop utils on
+# htop which is often used on headless machines. bug #787470
+inherit linux-info optfeature python-any-r1 xdg-utils
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop"
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/htop-dev/htop.git"
+ inherit autotools git-r3
+else
+ SRC_URI="https://github.com/htop-dev/htop/releases/download/${PV}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+fi
+
+S="${WORKDIR}/${P/_}"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+IUSE="caps debug delayacct hwloc lm-sensors llvm-libunwind openvz unicode unwind vserver"
+
+RDEPEND="
+ sys-libs/ncurses:=[unicode(+)?]
+ hwloc? ( sys-apps/hwloc:= )
+ unwind? (
+ !llvm-libunwind? ( sys-libs/libunwind:= )
+ llvm-libunwind? ( sys-libs/llvm-libunwind:= )
+ )
+ kernel_linux? (
+ caps? ( sys-libs/libcap )
+ delayacct? ( dev-libs/libnl:3 )
+ lm-sensors? ( sys-apps/lm-sensors )
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+ virtual/pkgconfig"
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ if [[ ${PV} == 9999 ]] ; then
+ eautoreconf
+ fi
+}
+
+src_configure() {
+ if [[ ${CBUILD} != ${CHOST} ]] ; then
+ # bug #328971
+ export ac_cv_file__proc_{meminfo,stat}=yes
+ fi
+
+ local myeconfargs=(
+ --enable-unicode
+ $(use_enable debug)
+ $(use_enable hwloc)
+ $(use_enable !hwloc affinity)
+ $(use_enable openvz)
+ $(use_enable unicode)
+ $(use_enable unwind)
+ $(use_enable vserver)
+ )
+
+ if use kernel_linux ; then
+ myeconfargs+=(
+ $(use_enable caps capabilities)
+ $(use_enable delayacct)
+ $(use_enable lm-sensors sensors)
+ )
+ else
+ if use kernel_Darwin ; then
+ # Upstream default to checking but --enable-affinity
+ # overrides this. Simplest to just disable on Darwin
+ # given it works on BSD anyway.
+ myeconfargs+=( --disable-affinity )
+ fi
+
+ myeconfargs+=(
+ --disable-capabilities
+ --disable-delayacct
+ --disable-sensors
+ )
+ fi
+
+ econf "${myeconfargs[@]}"
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+
+ optfeature "Viewing processes accessing certain files" sys-process/lsof
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/sys-process/htop/htop-3.2.1.ebuild b/sys-process/htop/htop-3.2.1.ebuild
new file mode 100644
index 00000000000..97ec0972056
--- /dev/null
+++ b/sys-process/htop/htop-3.2.1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools linux-info python-any-r1 xdg-utils
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop"
+SRC_URI="https://github.com/htop-dev/${PN}/archive/${PV/_}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+IUSE="caps debug delayacct hwloc lm-sensors llvm-libunwind openvz unicode unwind vserver"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+ sys-libs/ncurses:=[unicode(+)?]
+ hwloc? ( sys-apps/hwloc:= )
+ unwind? (
+ !llvm-libunwind? ( sys-libs/libunwind:= )
+ llvm-libunwind? ( sys-libs/llvm-libunwind:= )
+ )
+ kernel_linux? (
+ caps? ( sys-libs/libcap )
+ delayacct? ( dev-libs/libnl:3 )
+ lm-sensors? ( sys-apps/lm-sensors )
+ )
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}"
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+S="${WORKDIR}/${P/_}"
+
+pkg_setup() {
+ if ! has_version sys-process/lsof ; then
+ ewarn "To use lsof features in htop (what processes are accessing"
+ ewarn "what files), you must have sys-process/lsof installed."
+ fi
+
+ python-any-r1_pkg_setup
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ if [[ ${CBUILD} != ${CHOST} ]] ; then
+ export ac_cv_file__proc_{meminfo,stat}=yes #328971
+ fi
+
+ local myeconfargs=(
+ --enable-unicode
+ $(use_enable debug)
+ $(use_enable hwloc)
+ $(use_enable !hwloc affinity)
+ $(use_enable openvz)
+ $(use_enable unicode)
+ $(use_enable unwind)
+ $(use_enable vserver)
+ )
+
+ if use kernel_linux ; then
+ myeconfargs+=(
+ $(use_enable caps capabilities)
+ $(use_enable delayacct)
+ $(use_enable lm-sensors sensors)
+ )
+ else
+ if use kernel_Darwin ; then
+ # Upstream default to checking but --enable-affinity
+ # overrides this. Simplest to just disable on Darwin
+ # given it works on BSD anyway.
+ myeconfargs+=( --disable-affinity )
+ fi
+
+ myeconfargs+=(
+ --disable-capabilities
+ --disable-delayacct
+ --disable-sensors
+ )
+ fi
+
+ econf ${myeconfargs[@]}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/sys-process/htop/htop-9999.ebuild b/sys-process/htop/htop-9999.ebuild
index f8aa5317714..7d41590b84b 100644
--- a/sys-process/htop/htop-9999.ebuild
+++ b/sys-process/htop/htop-9999.ebuild
@@ -3,25 +3,28 @@
EAPI=8
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{8..11} )
-inherit autotools fcaps linux-info python-any-r1 xdg-utils
+# We avoid xdg.eclass here because it'll pull in glib, desktop utils on
+# htop which is often used on headless machines. bug #787470
+inherit linux-info optfeature python-any-r1 xdg-utils
DESCRIPTION="interactive process viewer"
HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop"
if [[ ${PV} == *9999 ]] ; then
- inherit git-r3
EGIT_REPO_URI="https://github.com/htop-dev/htop.git"
+ inherit autotools git-r3
else
- SRC_URI="https://github.com/htop-dev/${PN}/archive/${PV/_}.tar.gz -> ${P}.tar.gz"
+ SRC_URI="https://github.com/htop-dev/htop/releases/download/${PV}/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
fi
+S="${WORKDIR}/${P/_}"
+
LICENSE="BSD GPL-2+"
SLOT="0"
IUSE="caps debug delayacct hwloc lm-sensors llvm-libunwind openvz unicode unwind vserver"
-BDEPEND="virtual/pkgconfig"
RDEPEND="
sys-libs/ncurses:=[unicode(+)?]
hwloc? ( sys-apps/hwloc:= )
@@ -35,21 +38,15 @@ RDEPEND="
lm-sensors? ( sys-apps/lm-sensors )
)
"
-DEPEND="${RDEPEND}
- ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+ virtual/pkgconfig"
DOCS=( ChangeLog README )
CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
-S="${WORKDIR}/${P/_}"
-
pkg_setup() {
- if ! has_version sys-process/lsof ; then
- ewarn "To use lsof features in htop (what processes are accessing"
- ewarn "what files), you must have sys-process/lsof installed."
- fi
-
python-any-r1_pkg_setup
linux-info_pkg_setup
}
@@ -57,12 +54,15 @@ pkg_setup() {
src_prepare() {
default
- eautoreconf
+ if [[ ${PV} == 9999 ]] ; then
+ eautoreconf
+ fi
}
src_configure() {
if [[ ${CBUILD} != ${CHOST} ]] ; then
- export ac_cv_file__proc_{meminfo,stat}=yes #328971
+ # bug #328971
+ export ac_cv_file__proc_{meminfo,stat}=yes
fi
local myeconfargs=(
@@ -97,14 +97,14 @@ src_configure() {
)
fi
- econf ${myeconfargs[@]}
+ econf "${myeconfargs[@]}"
}
pkg_postinst() {
xdg_desktop_database_update
xdg_icon_cache_update
- fcaps cap_sys_ptrace /usr/bin/${PN}
+ optfeature "Viewing processes accessing certain files" sys-process/lsof
}
pkg_postrm() {
diff --git a/sys-process/htop/metadata.xml b/sys-process/htop/metadata.xml
index ab974da74e0..72a44e1e74a 100644
--- a/sys-process/htop/metadata.xml
+++ b/sys-process/htop/metadata.xml
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
</maintainer>
<use>
<flag name="delayacct">Enable Linux delay accounting support via <pkg>dev-libs/libnl</pkg></flag>
diff --git a/sys-process/incron/Manifest b/sys-process/incron/Manifest
index 7627bdcf63a..da699c5a339 100644
--- a/sys-process/incron/Manifest
+++ b/sys-process/incron/Manifest
@@ -1 +1 @@
-DIST incron-0.5.12_p20191114.tar.gz 339568 BLAKE2B ca6ccd4f2b4f24b48ee3bdf0a18713f6f70469cbc11f09fd215001e8512bd04dcbdc9cd5e7cc784907cd0d009a4572354f578cad78bc263070146b0ff2379029 SHA512 19cf386163de3f4cafcf36872659dd8f819129056ed2508403a8692130db04cbe5eb917370aa609d25a6b75c24a7a1b87e7bd2e957a5d66610f541fe83aec39e
+DIST incron-0.5.12_p20171113.tar.gz 339568 BLAKE2B ca6ccd4f2b4f24b48ee3bdf0a18713f6f70469cbc11f09fd215001e8512bd04dcbdc9cd5e7cc784907cd0d009a4572354f578cad78bc263070146b0ff2379029 SHA512 19cf386163de3f4cafcf36872659dd8f819129056ed2508403a8692130db04cbe5eb917370aa609d25a6b75c24a7a1b87e7bd2e957a5d66610f541fe83aec39e
diff --git a/sys-process/incron/incron-0.5.12_p20171113-r1.ebuild b/sys-process/incron/incron-0.5.12_p20171113-r1.ebuild
new file mode 100644
index 00000000000..9186cf6302b
--- /dev/null
+++ b/sys-process/incron/incron-0.5.12_p20171113-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic linux-info systemd toolchain-funcs
+
+COMMIT="1eedfbc9b318372efd119fd17f4abdbde561a53d"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+DESCRIPTION="inotify based cron daemon"
+HOMEPAGE="https://incron.aiken.cz/"
+SRC_URI="https://github.com/ar-/incron/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~riscv ~x86"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.5.12-use-execl-instead-system.patch
+ "${FILESDIR}"/${PN}-0.5.12-issue25.patch
+)
+
+DOCS=( CHANGELOG README TODO )
+
+# < 2.6.18 => INOTIFY, >= 2.6.18 => INOTIFY_USER
+# It should be ok to expect at least 2.6.18
+CONFIG_CHECK="~INOTIFY_USER"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/$(INSTALL) -m 0644 incron.conf $(DESTDIR)$(INITDIR)/d' \
+ Makefile \
+ || die
+}
+
+src_compile() {
+ # code is not C++17 ready
+ append-cxxflags -std=c++14
+
+ emake CXX="$(tc-getCXX)"
+}
+
+src_install() {
+ emake DESTDIR="${ED}" PREFIX=/usr DOCDIR=/usr/share/doc/${PF} install
+ einstalldocs
+
+ newinitd "${FILESDIR}"/${PN}d-r1.init ${PN}d
+ newconfd "${FILESDIR}"/${PN}d.conf ${PN}d
+ systemd_dounit "${FILESDIR}"/${PN}d.service
+
+ insinto /etc
+ doins "${FILESDIR}"/${PN}.conf
+ touch \
+ "${ED}"/etc/${PN}.allow \
+ "${ED}"/etc/${PN}.deny \
+ || die
+
+ keepdir /etc/${PN}.d
+ keepdir /var/spool/${PN}
+}
diff --git a/sys-process/incron/incron-0.5.12_p20191114-r1.ebuild b/sys-process/incron/incron-0.5.12_p20171113.ebuild
index 33af9c07c8c..33af9c07c8c 100644
--- a/sys-process/incron/incron-0.5.12_p20191114-r1.ebuild
+++ b/sys-process/incron/incron-0.5.12_p20171113.ebuild
diff --git a/sys-process/incron/metadata.xml b/sys-process/incron/metadata.xml
index 542a8a19f0f..beac02a9af1 100644
--- a/sys-process/incron/metadata.xml
+++ b/sys-process/incron/metadata.xml
@@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>whissi@gentoo.org</email>
- <name>Thomas Deutschmann</name>
+ <email>marecki@gentoo.org</email>
+ <name>Marek Szuba</name>
</maintainer>
</pkgmetadata>
diff --git a/sys-process/lsof/Manifest b/sys-process/lsof/Manifest
index e5fde09f82f..b1aaf692109 100644
--- a/sys-process/lsof/Manifest
+++ b/sys-process/lsof/Manifest
@@ -1,2 +1 @@
-DIST lsof-4.94.0.tar.gz 1340224 BLAKE2B b3d3c4707dac22c5431ac37c6a9f28ba5057b9a8dce65038934f1148209ef4615012ed887e263ec648679d0d95a06c78ed83a7d76cc8d97c05c013c563938793 SHA512 852b12e621e1dbf71e5f7fd848a200339ca278fbe8c39dcd33f745d1aea4e61552c0f30a3f6469ad9d4b86a9163e677f8c95298159ebd647357734225aa06c0c
DIST lsof-4.95.0.tar.gz 1343380 BLAKE2B ffb0a656463f8f0e84ddcba36d78a94a8b4b883f0ff043c3821b3236274fb11e04b8c82f84f4e67ab922f021769c2711c1e97716aef3190d640fc321110521a3 SHA512 09c5c4b0ea0530e23b98b96df8485f37c2594028b604097a816aee216a8b1a7bc887071e8727cbaf3c765d0992314a5aa49723572cfe926f88806be18a6b8aef
diff --git a/sys-process/lsof/files/lsof-4.94-arm-sigbus-fix.patch b/sys-process/lsof/files/lsof-4.94-arm-sigbus-fix.patch
deleted file mode 100644
index 95bad206372..00000000000
--- a/sys-process/lsof/files/lsof-4.94-arm-sigbus-fix.patch
+++ /dev/null
@@ -1,63 +0,0 @@
-https://bugs.gentoo.org/797358
-
-From 21cb1dad1243f4c0a427d893babab12e48b60f0e Mon Sep 17 00:00:00 2001
-From: Masatake YAMATO <yamato@redhat.com>
-Date: Sun, 20 Jun 2021 21:40:55 +0900
-Subject: [PATCH] Adjust alignment of buffer passed to stat()
-
-Close #160.
-
-The original code passes char[] buffer to stat().
-This can be cause a SIGBUS.
-
-#160 reported an actual crash on armv7a + glibc-2.33 platform.
-See also https://sourceware.org/bugzilla/show_bug.cgi?id=27993.
-
-The issue is reported by @10ne1.
-
-Signed-off-by: Masatake YAMATO <yamato@redhat.com>
-[Adrian: Backported to 4.94]
-Signed-off-by: Adrian Ratiu <adrian.ratiu@collabora.com>
---- a/misc.c
-+++ b/misc.c
-@@ -293,7 +293,15 @@ doinchild(fn, fp, rbuf, rbln)
- */
-
- int r_al, r_rbln;
-- char r_arg[MAXPATHLEN+1], r_rbuf[MAXPATHLEN+1];
-+ char r_arg[MAXPATHLEN+1];
-+ union {
-+ char r_rbuf[MAXPATHLEN+1];
-+ /*
-+ * This field is only for adjusting the alignment of r_rbuf that
-+ * can be used as an argument for stat().
-+ */
-+ struct stat _;
-+ } r;
- int (*r_fn)();
- /*
- * Close sufficient open file descriptors except Pipes[0] and
-@@ -358,16 +366,16 @@ doinchild(fn, fp, rbuf, rbln)
- || read(Pipes[0], r_arg, r_al) != r_al
- || read(Pipes[0], (char *)&r_rbln, sizeof(r_rbln))
- != (int)sizeof(r_rbln)
-- || r_rbln < 1 || r_rbln > (int)sizeof(r_rbuf))
-+ || r_rbln < 1 || r_rbln > (int)sizeof(r.r_rbuf))
- break;
-- zeromem (r_rbuf, r_rbln);
-- rv = r_fn(r_arg, r_rbuf, r_rbln);
-+ zeromem (r.r_rbuf, r_rbln);
-+ rv = r_fn(r_arg, r.r_rbuf, r_rbln);
- en = errno;
- if (write(Pipes[3], (char *)&rv, sizeof(rv))
- != sizeof(rv)
- || write(Pipes[3], (char *)&en, sizeof(en))
- != sizeof(en)
-- || write(Pipes[3], r_rbuf, r_rbln) != r_rbln)
-+ || write(Pipes[3], r.r_rbuf, r_rbln) != r_rbln)
- break;
- }
- (void) _exit(0);
---
-2.32.0
-
diff --git a/sys-process/lsof/lsof-4.94.0-r1.ebuild b/sys-process/lsof/lsof-4.94.0-r1.ebuild
deleted file mode 100644
index f90987e7670..00000000000
--- a/sys-process/lsof/lsof-4.94.0-r1.ebuild
+++ /dev/null
@@ -1,117 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic toolchain-funcs
-
-MY_P="${P/-/_}"
-DESCRIPTION="Lists open files for running Unix processes"
-HOMEPAGE="https://github.com/lsof-org/lsof"
-SRC_URI="https://github.com/lsof-org/lsof/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="lsof"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="examples ipv6 rpc selinux"
-
-RDEPEND="rpc? ( net-libs/libtirpc )
- selinux? ( sys-libs/libselinux )"
-DEPEND="${RDEPEND}"
-BDEPEND="
- sys-apps/groff
- rpc? ( virtual/pkgconfig )
-"
-
-# needs fixing first
-RESTRICT="test"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-4.85-cross.patch #432120
- "${FILESDIR}"/${PN}-4.94-arm-sigbus-fix.patch
-)
-
-src_prepare() {
- default
- # fix POSIX compliance with `echo`
- sed -i \
- -e 's:echo -n:printf:' \
- AFSConfig Configure Customize Inventory tests/CkTestDB || die
- # Convert `test -r header.h` into a compile test.
- # Make sure we convert `test ... -a ...` into two `test` commands
- # so we can then convert both over into a compile test. #601432
- sed -i -E \
- -e '/if test .* -a /s: -a : \&\& test :g' \
- -e '/test -r/s:test -r \$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo "#include <\1>" | ${LSOF_CC} ${LSOF_CFGF} -E - >/dev/null 2>\&1:g' \
- -e 's:grep (.*) \$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo "#include <\2>" | ${LSOF_CC} ${LSOF_CFGF} -E -P -dD - 2>/dev/null | grep \1:' \
- Configure || die
-
- # "create" man-page (bug #689462)
- # inspired by shipped "makeman" ksh script
- soelim < Lsof.8 > lsof.8 || die
-}
-
-target() {
- case ${CHOST} in
- *-darwin*) echo darwin ;;
- *-freebsd*) echo freebsd ;;
- *-solaris*) echo solaris ;;
- *-aix*) echo aixgcc ;;
- *) echo linux ;;
- esac
-}
-
-src_configure() {
- append-cppflags $(use rpc && $(tc-getPKG_CONFIG) libtirpc --cflags || echo "-DHASNOTRPC -DHASNORPC_H")
- append-cppflags $(usex ipv6 -{D,U}HASIPv6)
- [[ ${CHOST} == *-solaris2.11 ]] && append-cppflags -DHAS_PAD_MUTEX
- if [[ ${CHOST} == *-darwin* ]] ; then
- # make sys/proc_info.h available in ${T} because of LSOF_INCLUDE
- # dummy location -- Darwin needs this for a Configure check to
- # succeed
- if [[ -e /usr/include/sys/proc_info.h ]] ; then
- mkdir -p "${T}"/sys || die
- ( cd "${T}"/sys && ln -s /usr/include/sys/proc_info.h ) || die
- fi
- fi
-
- export LSOF_CFGL="${CFLAGS} ${LDFLAGS} \
- $(use rpc && $(tc-getPKG_CONFIG) libtirpc --libs)"
-
- # Set LSOF_INCLUDE to a dummy location so the script doesn't poke
- # around in it and mix /usr/include paths with cross-compile/etc.
- touch .neverInv
- LINUX_HASSELINUX=$(usex selinux y n) \
- LSOF_INCLUDE=${T} \
- LSOF_CC=$(tc-getCC) \
- LSOF_AR="$(tc-getAR) rc" \
- LSOF_RANLIB=$(tc-getRANLIB) \
- LSOF_CFGF="${CFLAGS} ${CPPFLAGS}" \
- ./Configure -n $(target) || die
-}
-
-src_compile() {
- emake DEBUG="" all
-}
-
-src_install() {
- dobin lsof
-
- if use examples ; then
- insinto /usr/share/lsof/scripts
- doins scripts/*
- fi
-
- doman lsof.8
- dodoc 00*
-}
-
-pkg_postinst() {
- if [[ ${CHOST} == *-solaris* ]] ; then
- einfo "Note: to use lsof on Solaris you need read permissions on"
- einfo "/dev/kmem, i.e. you need to be root, or to be in the group sys"
- elif [[ ${CHOST} == *-aix* ]] ; then
- einfo "Note: to use lsof on AIX you need read permissions on /dev/mem and"
- einfo "/dev/kmem, i.e. you need to be root, or to be in the group system"
- fi
-}
diff --git a/sys-process/lsof/lsof-4.95.0.ebuild b/sys-process/lsof/lsof-4.95.0.ebuild
index 4d4956a7f95..763ba627605 100644
--- a/sys-process/lsof/lsof-4.95.0.ebuild
+++ b/sys-process/lsof/lsof-4.95.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/lsof-org/lsof/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="lsof"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="examples ipv6 rpc selinux"
RDEPEND="rpc? ( net-libs/libtirpc )
diff --git a/sys-process/lsof/metadata.xml b/sys-process/lsof/metadata.xml
index 5f1549b9477..91d3c9dc148 100644
--- a/sys-process/lsof/metadata.xml
+++ b/sys-process/lsof/metadata.xml
@@ -1,14 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>base-system@gentoo.org</email>
- <name>Gentoo Base System</name>
-</maintainer>
-<use>
- <flag name="rpc">support looking up RPC service info</flag>
-</use>
-<upstream>
- <remote-id type="cpe">cpe:/a:lsof_project:lsof</remote-id>
-</upstream>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <use>
+ <flag name="rpc">support looking up RPC service info</flag>
+ </use>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:lsof_project:lsof</remote-id>
+ <remote-id type="github">lsof-org/lsof</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sys-process/nmon/Manifest b/sys-process/nmon/Manifest
index 4d7fe233c7a..6260d950f11 100644
--- a/sys-process/nmon/Manifest
+++ b/sys-process/nmon/Manifest
@@ -1 +1,2 @@
DIST lmon16m.c 268614 BLAKE2B 8705a890cfc5f02079d70ab9de8e1462552342a16e5760964906f21a236bbef037e36c7d0f3af9fea7b4c1e86485620cef27fac16af33faa32d5e88afdde3358 SHA512 391d4703f5d052fd44a3c623155028e28649ea41a88c0fe8df81c7a7dc1f845e044f25e63352c1a7ea607c76c9afb0f82ff2841c8e789d88a9f1cf3c9e035f2e
+DIST lmon16n.c 268772 BLAKE2B a85aa30029cff39859058689f013801d864a9ecc0f1115d59aac4b86284108b43c1f4230fdc617c1b7718ed503634ba14dfca2f9a6fb4cb8592e9f6bc327739f SHA512 7b801e3d8a1d60794993af6572b8db04aa0bc707cebd16404c6ad9056f4c37216d57e894241540405192bf76a7e0a49f2e31b55b1721c7eb9da437808ff5abda
diff --git a/sys-process/nmon/files/nmon-16n-musl.patch b/sys-process/nmon/files/nmon-16n-musl.patch
new file mode 100644
index 00000000000..a26008cc3bf
--- /dev/null
+++ b/sys-process/nmon/files/nmon-16n-musl.patch
@@ -0,0 +1,29 @@
+https://bugs.gentoo.org/712472
+
+From: Mike Crute <mike@crute.us>
+Date: Sun, 31 May 2020 19:26:32 +0000
+Subject: [PATCH] Add glibc compatibility to nmon
+
+musl is missing some compatibility with glibc which this patch adds to the nmon
+source. The fstab.h header was not used and fails to build if it's included.
+
+--- a/nmon.c
++++ b/nmon.c
+@@ -42,6 +42,9 @@
+ pi_delayacct_blkio_ticks
+ */
+
++/* Fix compatibility for glibc */
++#define __STRING(x) #x
++
+ /* note: RAW assumes you are using the index "i" to select the CPU */
+ #define RAW(member) (long)((long)(p->cpuN[i].member) - (long)(q->cpuN[i].member))
+ #define RAWTOTAL(member) (long)((long)(p->cpu_total.member) - (long)(q->cpu_total.member))
+@@ -583,7 +586,6 @@
+ int isroot = 0;
+
+ #include <mntent.h>
+-#include <fstab.h>
+ #include <sys/stat.h>
+ #include <sys/statfs.h>
+ #include <net/if.h>
diff --git a/sys-process/nmon/nmon-16n.ebuild b/sys-process/nmon/nmon-16n.ebuild
new file mode 100644
index 00000000000..1aee09867d3
--- /dev/null
+++ b/sys-process/nmon/nmon-16n.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_P="lmon${PV}"
+DESCRIPTION="Nigel's performance MONitor for CPU, memory, network, disks, etc"
+HOMEPAGE="http://nmon.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.c"
+S="${WORKDIR}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="sys-libs/ncurses:="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-16n-musl.patch
+)
+
+src_unpack() {
+ cp "${DISTDIR}"/${MY_P}.c "${S}"/${PN}.c || die
+}
+
+src_configure() {
+ local cflags=(
+ # Recommended by upstream to be always on
+ -DGETUSER
+ -DJFS
+ -DLARGEMEM
+ -DKERNEL_2_6_18
+
+ # Arches
+ $(usex amd64 -DX86 '')
+ $(usex x86 -DX86 '')
+ $(usex arm -DARM '')
+ $(usex ppc64 -DPOWER '')
+ )
+
+ append-cflags "${cflags[@]}"
+ append-libs "$($(tc-getPKG_CONFIG) --libs ncurses) -lm"
+}
+
+src_compile() {
+ tc-export CC
+
+ emake ${PN} LDLIBS="${LIBS}"
+}
+
+src_install() {
+ dobin ${PN}
+}
diff --git a/sys-process/numactl/files/numactl-2.0.10-numademo-cflags.patch b/sys-process/numactl/files/numactl-2.0.10-numademo-cflags.patch
deleted file mode 100644
index 9b318df5a5c..00000000000
--- a/sys-process/numactl/files/numactl-2.0.10-numademo-cflags.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-https://bugs.gentoo.org/540856
-
-respect user CFLAGS
-
---- a/Makefile.am
-+++ b/Makefile.am
-@@ -23,7 +23,7 @@ numastat_CFLAGS = $(AM_CFLAGS) -std=gnu99
-
- numademo_SOURCES = numademo.c stream_lib.c stream_lib.h mt.c mt.h clearcache.c clearcache.h
- numademo_CPPFLAGS = $(AM_CPPFLAGS) -DHAVE_STREAM_LIB -DHAVE_MT -DHAVE_CLEAR_CACHE
--numademo_CFLAGS = -O3 -ffast-math -funroll-loops
-+numademo_CFLAGS = $(AM_CFLAGS) -ffast-math -funroll-loops
- if HAVE_TREE_VECTORIZE
- numademo_CFLAGS += -ftree-vectorize
- endif
diff --git a/sys-process/numactl/numactl-2.0.14-r1.ebuild b/sys-process/numactl/numactl-2.0.14-r1.ebuild
new file mode 100644
index 00000000000..d05f47076bb
--- /dev/null
+++ b/sys-process/numactl/numactl-2.0.14-r1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="Utilities and libraries for NUMA systems"
+HOMEPAGE="https://github.com/numactl/numactl"
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/numactl/numactl.git"
+else
+ SRC_URI="https://github.com/numactl/numactl/releases/download/v${PV}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.14-latomic.patch
+ "${FILESDIR}"/${PN}-2.0.14-numademo-cflags.patch # bug #540856
+)
+
+src_prepare() {
+ default
+
+ eautoreconf
+
+ # We need to copy the sources or else tests will fail
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_compile() {
+ multilib_is_native_abi && default || emake libnuma.la
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi ; then
+ if [[ -d /sys/devices/system/node ]] ; then
+ einfo "The only generically safe test is regress2."
+ einfo "The other test cases require 2 NUMA nodes."
+ emake regress2
+ else
+ ewarn "You do not have baseline NUMA support in your kernel, skipping tests."
+ fi
+ fi
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" \
+ install$(multilib_is_native_abi || echo "-libLTLIBRARIES install-includeHEADERS")
+ find "${ED}"/usr/ -type f -name libnuma.la -delete || die
+}
+
+multilib_src_install_all() {
+ local DOCS=( README.md )
+ einstalldocs
+
+ # Delete man pages provided by the man-pages package, bug #238805
+ rm -r "${ED}"/usr/share/man/man[25] || die
+}
diff --git a/sys-process/numactl/numactl-9999.ebuild b/sys-process/numactl/numactl-9999.ebuild
index 52aa4083497..75c8f369521 100644
--- a/sys-process/numactl/numactl-9999.ebuild
+++ b/sys-process/numactl/numactl-9999.ebuild
@@ -1,19 +1,18 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-inherit autotools flag-o-matic multilib-minimal
+inherit autotools multilib-minimal
DESCRIPTION="Utilities and libraries for NUMA systems"
HOMEPAGE="https://github.com/numactl/numactl"
-if [[ "${PV}" == 9999 ]] ; then
+if [[ ${PV} == 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/numactl/numactl.git"
else
SRC_URI="https://github.com/numactl/numactl/releases/download/v${PV}/${P}.tar.gz"
- # ARM lacks the __NR_migrate_pages syscall.
- KEYWORDS="~amd64 -arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~x86 ~amd64-linux"
+ KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
fi
LICENSE="GPL-2"
@@ -21,17 +20,14 @@ SLOT="0"
IUSE="static-libs"
PATCHES=(
- "${FILESDIR}"/${PN}-2.0.10-numademo-cflags.patch #540856
+ "${FILESDIR}"/${PN}-2.0.14-numademo-cflags.patch # bug #540856
)
src_prepare() {
default
- # lto not supported yet
- # gcc-9 with -flto leads to link failures: #692254
- filter-flags -flto*
-
eautoreconf
+
# We need to copy the sources or else tests will fail
multilib_copy_sources
}
@@ -65,6 +61,7 @@ multilib_src_install() {
multilib_src_install_all() {
local DOCS=( README.md )
einstalldocs
- # delete man pages provided by the man-pages package #238805
+
+ # Delete man pages provided by the man-pages package, bug #238805
rm -r "${ED}"/usr/share/man/man[25] || die
}
diff --git a/sys-process/numad/files/numad-0.5-wformat-security.patch b/sys-process/numad/files/numad-0.5-wformat-security.patch
new file mode 100644
index 00000000000..5c0aa2c41f1
--- /dev/null
+++ b/sys-process/numad/files/numad-0.5-wformat-security.patch
@@ -0,0 +1,19 @@
+https://src.fedoraproject.org/rpms/numad/raw/f21/f/0001-Fix-build-with-Werror-format-security.patch
+https://bugs.gentoo.org/520308
+
+From 6ab732334bc765d4b5883ddde0e9891b4813d136 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Ville=20Skytt=C3=A4?= <ville.skytta@iki.fi>
+Date: Mon, 20 Jan 2014 22:25:58 +0200
+Subject: [PATCH 1/2] Fix build with -Werror=format-security
+
+--- a/numad.c
++++ b/numad.c
+@@ -154,7 +154,7 @@ void numad_log(int level, const char *fmt, ...) {
+ }
+ char buf[BUF_SIZE];
+ time_t ts = time(NULL);
+- sprintf(buf, ctime(&ts));
++ sprintf(buf, "%s", ctime(&ts));
+ char *p = &buf[strlen(buf) - 1];
+ *p++ = ':';
+ *p++ = ' ';
diff --git a/sys-process/numad/numad-0.5-r4.ebuild b/sys-process/numad/numad-0.5-r4.ebuild
new file mode 100644
index 00000000000..33f98562b75
--- /dev/null
+++ b/sys-process/numad/numad-0.5-r4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info systemd toolchain-funcs
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://pagure.io/numad.git"
+ inherit git-r3
+else
+ EGIT_COMMIT="334278ff3d774d105939743436d7378a189e8693"
+ SRC_URI="mirror://gentoo/numad-0.5-${EGIT_COMMIT:0:7}.tar.bz2"
+ KEYWORDS="~amd64 -arm ~arm64 ~ppc64 ~s390 ~x86"
+ S="${WORKDIR}/${PN}-${EGIT_COMMIT:0:7}"
+fi
+
+DESCRIPTION="The NUMA daemon that manages application locality"
+HOMEPAGE="http://fedoraproject.org/wiki/Features/numad"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+CONFIG_CHECK="~NUMA ~CPUSETS"
+
+PATCHES=(
+ "${FILESDIR}/0001-Fix-man-page-directory-creation.patch"
+ "${FILESDIR}/${PN}-0.5-ldlibs.patch"
+ "${FILESDIR}/${PN}-0.5-wformat-security.patch"
+)
+
+src_prepare() {
+ default
+ tc-export CC
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS} -std=gnu99"
+}
+
+src_install() {
+ emake prefix="${ED}"/usr install
+
+ newinitd "${FILESDIR}"/numad.initd numad
+ newconfd "${FILESDIR}"/numad.confd numad
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/numad.logrotated numad
+
+ insinto /etc
+ doins numad.conf
+ systemd_dounit numad.service
+}
diff --git a/sys-process/numad/numad-9999.ebuild b/sys-process/numad/numad-9999.ebuild
index ddf19989ed7..61b74b22ad4 100644
--- a/sys-process/numad/numad-9999.ebuild
+++ b/sys-process/numad/numad-9999.ebuild
@@ -1,15 +1,15 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit linux-info systemd toolchain-funcs
-if [[ ${PV} == "9999" ]]; then
+if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://pagure.io/numad.git"
inherit git-r3
else
- EGIT_COMMIT=""
+ EGIT_COMMIT="334278ff3d774d105939743436d7378a189e8693"
SRC_URI="mirror://gentoo/numad-0.5-${EGIT_COMMIT:0:7}.tar.bz2"
KEYWORDS="~amd64 -arm ~arm64 ~ppc64 ~s390 ~x86"
S="${WORKDIR}/${PN}-${EGIT_COMMIT:0:7}"
@@ -20,7 +20,6 @@ HOMEPAGE="http://fedoraproject.org/wiki/Features/numad"
LICENSE="LGPL-2.1"
SLOT="0"
-IUSE=""
CONFIG_CHECK="~NUMA ~CPUSETS"
@@ -34,13 +33,13 @@ src_compile() {
}
src_install() {
- emake prefix="${ED}/usr" install
+ emake prefix="${ED}"/usr install
- newinitd "${FILESDIR}/numad.initd" numad
- newconfd "${FILESDIR}/numad.confd" numad
+ newinitd "${FILESDIR}"/numad.initd numad
+ newconfd "${FILESDIR}"/numad.confd numad
insinto /etc/logrotate.d
- newins "${FILESDIR}/numad.logrotated" numad
+ newins "${FILESDIR}"/numad.logrotated numad
insinto /etc
doins numad.conf
diff --git a/sys-process/parallel/Manifest b/sys-process/parallel/Manifest
index 002de467624..7074a323b7f 100644
--- a/sys-process/parallel/Manifest
+++ b/sys-process/parallel/Manifest
@@ -1,4 +1,6 @@
-DIST parallel-20220322.tar.bz2 2359966 BLAKE2B d641f8bf59aced5b5c4d009fdcbbd79db03ac1cea45a315d220d4f1204f7f9f6b5c3b996487627fb356ffd1ab7c12eef7f3b5accf352ed43f414b7f72282620c SHA512 2e486ac131404672c0da6b9391717588e2df2b41b3914d433f25cf313017a2bcc554462213979318e334e1ea95a3887d55b0e7c5f5837f637c00e19562d52fd9
-DIST parallel-20220322.tar.bz2.sig 2080 BLAKE2B 7b405bdb8db02428fd644cafc3fc79766b49af0e959ae97882bcb5972a06b885057af2562729498c2dcffc4c9abd5761b564dc87a7bc06a0ad66e1d17c6b834a SHA512 78f6c96b51c568ddb6175a87aa5ee8205c8e6c197310c0113c6609f6cb7a71e0f68f024e6687a31955ea70ca74a8179249aa11871631ae86914903eb0ef4626d
-DIST parallel-20220422.tar.bz2 2367837 BLAKE2B 5630c58a15cc6ce0dac0346188afa9916b18545a9da91854f3cae604fc3c2ced33fd3a5f17a2967693a2e28cbddb198a3e63372125721a8dc67af80cbf03e940 SHA512 b4179c5ad936ed01753d91d75a012d6985dd8fb24f1e0d06fa7806352bfc59aeeedd42b15fd31b8294d25671aa474f885362c887875e79b32b613bfe1f9a262e
-DIST parallel-20220422.tar.bz2.sig 2080 BLAKE2B ae87bf4bee2cdd6952e30bb2b65498ca3f4d51452ff8736ac4c8cfbc9bf940eebad48c0c08d474d02d269eb459cb62441067b0c6f6ad69f8beedad40710637a3 SHA512 a8d023d856722fb7528fa67ff1615643e9bf3036c903665ca94e5c7366b402b1bc1b25defd4d3c9dbacc5178a9c584249639e45d3713c991c21da01158fa85da
+DIST parallel-20220522.tar.bz2 2372671 BLAKE2B e32f62930a4147dc950f5bdab1da58bef19c83b75e7257511d44257ef1569b40a34c670c63831f46daabcb390a197b7293aabb66f2dacd9848dd64910fd3b912 SHA512 45dd1abe8652d29cd054505263b4ed792f42d7d6799ebdbfec07c21d54437d7243a054adff1d6c987eb85260d7ead2a9bb4dacb9d54a8a5b332218e27cf4f62c
+DIST parallel-20220522.tar.bz2.sig 2080 BLAKE2B 52d49780713d113344232c572f325109f35df966f3f9840ed7522b9414e7860bd8117f42e1ef1d5be22471e455f6f189766bcc40e3d2afb689bfda64de08ade8 SHA512 6b3cd5f93bc3db979fa0ae70a565ccea2a2dc37fc534b76fb8660092ec63244e550470782e477d815d619c540237afb7e124316a5e89d6ddeaf89689c1810ee5
+DIST parallel-20220622.tar.bz2 2378286 BLAKE2B a0fdb1ab330360c28d85ea5608760a961e663a5401b900e6e8eee944250bf233ae1e3f66e6a2b9d54f0c32702127593dab787d29eda636bd457dcc5d4b046785 SHA512 d01d86cd2ac373534d147eee8aa666fe26e7207362ea9c036c3744125f72c936d15cf2059429636454f21c8e8c6b3a60c8d761ddfde97ba7388d2cd00495bfa4
+DIST parallel-20220622.tar.bz2.sig 2080 BLAKE2B f013d329dd3e6d46341638965582ef5eb7358b8dff5e858279808a38d8543dd900fcc248433e30a3a715e1726be10dad5597deec23519bb33a904006f72a92d8 SHA512 097ca0f3ca9afe96045738fe050f94ba588e7728ae7cbf4f695b7f1f6c148ccc1565839aec2ba3ce4ccaf888331365b9b7265aa434806ef2c76139e2ba2f0e82
+DIST parallel-20220722.tar.bz2 1851613 BLAKE2B 76d9edddac82b5077d6416cf629dc02d427c93a42907f84a467a45805efe99154eaa175755a4a4c9a9d86df480842daef7064b1d324671eeb6c08fdbab3e7b70 SHA512 b3bee9861ad9537055f00ebc7a1593697cb9f53167bd79fb612b9567a1d19edb7b770e5e68cee410bf2a146f3c48608e7a47254972f28ca0418d725b8d2088d3
+DIST parallel-20220722.tar.bz2.sig 2080 BLAKE2B cf71695489b67cfc458e361db3dd5d195a12e127a7b48f8fbc6ce557ffc2d9e30137a462dae0f99361194313997ebc414cb1d3242a84bddb5dc233a9cc9721fb SHA512 5ade3326fa66ac544698cb43b9225bde9ccb77bae0e938c9d7e9f1ea27d254c2bb3a49a3601c430f31a4c651fc52dea9fee909cbbbf0d5c5138543358671c94d
diff --git a/sys-process/parallel/files/parallel-20220622-makefile-completions-deux.patch b/sys-process/parallel/files/parallel-20220622-makefile-completions-deux.patch
new file mode 100644
index 00000000000..c15a0dad28b
--- /dev/null
+++ b/sys-process/parallel/files/parallel-20220622-makefile-completions-deux.patch
@@ -0,0 +1,83 @@
+https://git.savannah.gnu.org/cgit/parallel.git/commit/?id=2ae4b179ac6caf887af37b1e86ec6cbd8c5706f8
+https://bugs.gentoo.org/856079
+https://bugs.gentoo.org/856076
+
+From 2ae4b179ac6caf887af37b1e86ec6cbd8c5706f8 Mon Sep 17 00:00:00 2001
+From: Ole Tange <ole@tange.dk>
+Date: Sat, 2 Jul 2022 01:54:21 +0800
+Subject: Packaged for old RedHats and SuSEs.
+
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -167,12 +167,20 @@ pack_unpack_and_test_build:
+ cd parallel-$(YYYYMMDD) && \
+ ./configure && make -j && sudo make -j install
+
+-zshcompletiondir=${datarootdir}/zsh/site-functions
++# This ought to be correct, but fails on Centos
++# bashcompletiondir=$(DESTDIR)${datarootdir}/bash-completion/completions
++# zshcompletiondir=$(DESTDIR)${datarootdir}/zsh/site-functions
++bashcompletiondir=$(DESTDIR)${prefix}/share/bash-completion/completions
++zshcompletiondir=$(DESTDIR)${prefix}/share/zsh/site-functions
++bashcompletion=${bashcompletiondir}/parallel
+ zshcompletion=${zshcompletiondir}/_parallel
+ install-data-hook:
+- mkdir -p ${datarootdir}/bash-completion/completions
+- mkdir -p ${zshcompletiondir}
+- parallel --shell-completion bash > ${datarootdir}/bash-completion/completions/parallel
++ mkdir -p ${zshcompletiondir} ${bashcompletiondir}
++ src/parallel --shell-completion bash > ${bashcompletion}
++# Make zsh eval the --shell-completion code dynamically so if
++# a newer version of GNU Parallel is installed by a normal
++# user, this newer version will generate the
++# --shell-completion code.
+ echo '#compdef parallel' > ${zshcompletion}
+ echo '(( $$+functions[_comp_parallel] )) ||' >> ${zshcompletion}
+ echo ' eval "$$(parallel --shell-completion auto)" &&' >> ${zshcompletion}
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -281,7 +281,13 @@ top_build_prefix = @top_build_prefix@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ SUBDIRS = src
+-zshcompletiondir = ${datarootdir}/zsh/site-functions
++
++# This ought to be correct, but fails on Centos
++# bashcompletiondir=$(DESTDIR)${datarootdir}/bash-completion/completions
++# zshcompletiondir=$(DESTDIR)${datarootdir}/zsh/site-functions
++bashcompletiondir = $(DESTDIR)${prefix}/share/bash-completion/completions
++zshcompletiondir = $(DESTDIR)${prefix}/share/zsh/site-functions
++bashcompletion = ${bashcompletiondir}/parallel
+ zshcompletion = ${zshcompletiondir}/_parallel
+ EXTRA_DIST = CITATION CITATION.cff CREDITS LICENSES/CC-BY-SA-4.0.txt LICENSES/GFDL-1.3-or-later.txt LICENSES/GPL-3.0-or-later.txt
+ all: config.h
+@@ -929,9 +935,12 @@ pack_unpack_and_test_build:
+ cd parallel-$(YYYYMMDD) && \
+ ./configure && make -j && sudo make -j install
+ install-data-hook:
+- mkdir -p ${datarootdir}/bash-completion/completions
+- mkdir -p ${zshcompletiondir}
+- parallel --shell-completion bash > ${datarootdir}/bash-completion/completions/parallel
++ mkdir -p ${zshcompletiondir} ${bashcompletiondir}
++ src/parallel --shell-completion bash > ${bashcompletion}
++# Make zsh eval the --shell-completion code dynamically so if
++# a newer version of GNU Parallel is installed by a normal
++# user, this newer version will generate the
++# --shell-completion code.
+ echo '#compdef parallel' > ${zshcompletion}
+ echo '(( $$+functions[_comp_parallel] )) ||' >> ${zshcompletion}
+ echo ' eval "$$(parallel --shell-completion auto)" &&' >> ${zshcompletion}
+--- a/src/parallel.pod
++++ b/src/parallel.pod
+@@ -5654,7 +5654,10 @@ the currently running jobs are finished before exiting.
+ =item $PARALLEL_HOME
+
+ Dir where GNU B<parallel> stores config files, semaphores, and caches
+-information between invocations. Default: $HOME/.parallel.
++information between invocations. If set to a non-existent dir, the dir
++will be created.
++
++Default: $HOME/.parallel.
+
+
+ =item $PARALLEL_ARGHOSTGROUPS
diff --git a/sys-process/parallel/parallel-20220322.ebuild b/sys-process/parallel/parallel-20220522.ebuild
index 98ebb581b10..98ebb581b10 100644
--- a/sys-process/parallel/parallel-20220322.ebuild
+++ b/sys-process/parallel/parallel-20220522.ebuild
diff --git a/sys-process/parallel/parallel-20220622-r1.ebuild b/sys-process/parallel/parallel-20220622-r1.ebuild
new file mode 100644
index 00000000000..dded39ea7a5
--- /dev/null
+++ b/sys-process/parallel/parallel-20220622-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/oletange.asc
+inherit autotools verify-sig
+
+DESCRIPTION="A shell tool for executing jobs in parallel locally or on remote machines"
+HOMEPAGE="https://www.gnu.org/software/parallel/ https://git.savannah.gnu.org/cgit/parallel.git/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
+SRC_URI+=" verify-sig? ( mirror://gnu/${PN}/${P}.tar.bz2.sig )"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="dev-lang/perl:=
+ dev-perl/Devel-Size
+ dev-perl/Text-CSV
+ virtual/perl-Data-Dumper
+ virtual/perl-File-Temp
+ virtual/perl-IO"
+DEPEND="${RDEPEND}"
+BDEPEND="verify-sig? ( >=sec-keys/openpgp-keys-oletange-20210423 )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-20220622-makefile-completions-deux.patch
+)
+
+src_prepare() {
+ default
+
+ # Only for Makefile/completions patch
+ eautoreconf
+}
+
+src_configure() {
+ econf --docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
diff --git a/sys-process/parallel/parallel-20220422.ebuild b/sys-process/parallel/parallel-20220722.ebuild
index b107cc8a44e..5f26fa47182 100644
--- a/sys-process/parallel/parallel-20220422.ebuild
+++ b/sys-process/parallel/parallel-20220722.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/oletange.asc
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/oletange.asc
inherit verify-sig
DESCRIPTION="A shell tool for executing jobs in parallel locally or on remote machines"
@@ -15,12 +15,14 @@ LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
-RDEPEND="dev-lang/perl:=
+RDEPEND="
+ dev-lang/perl
dev-perl/Devel-Size
dev-perl/Text-CSV
virtual/perl-Data-Dumper
virtual/perl-File-Temp
- virtual/perl-IO"
+ virtual/perl-IO
+"
DEPEND="${RDEPEND}"
BDEPEND="verify-sig? ( >=sec-keys/openpgp-keys-oletange-20210423 )"
diff --git a/sys-process/procps/metadata.xml b/sys-process/procps/metadata.xml
index 0c2045c8c70..7994767907f 100644
--- a/sys-process/procps/metadata.xml
+++ b/sys-process/procps/metadata.xml
@@ -1,18 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>base-system@gentoo.org</email>
- <name>Gentoo Base System</name>
-</maintainer>
-<use>
- <flag name="elogind">Use <pkg>sys-auth/elogind</pkg> for session tracking.</flag>
- <flag name="kill">Build the kill program</flag>
- <flag name="modern-top">Enables new startup defaults of top. Keeps old defaults if disabled</flag>
- <flag name="ncurses">Build programs that use ncurses: top, slabtop, watch</flag>
-</use>
-<upstream>
- <remote-id type="sourceforge">procps</remote-id>
- <remote-id type="cpe">cpe:/a:procps_project:procps</remote-id>
-</upstream>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <use>
+ <flag name="elogind">Use <pkg>sys-auth/elogind</pkg> for session tracking.</flag>
+ <flag name="kill">Build the kill program</flag>
+ <flag name="modern-top">Enables new startup defaults of top. Keeps old defaults if disabled</flag>
+ <flag name="ncurses">Build programs that use ncurses: top, slabtop, watch</flag>
+ </use>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:procps_project:procps</remote-id>
+ <remote-id type="gitlab">procps-ng/procps</remote-id>
+ <remote-id type="sourceforge">procps</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sys-process/psmisc/metadata.xml b/sys-process/psmisc/metadata.xml
index 5da9d3e9876..2bdf8de9048 100644
--- a/sys-process/psmisc/metadata.xml
+++ b/sys-process/psmisc/metadata.xml
@@ -1,11 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="project">
- <email>base-system@gentoo.org</email>
- <name>Gentoo Base System</name>
-</maintainer>
-<upstream>
- <remote-id type="sourceforge">psmisc</remote-id>
-</upstream>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="gitlab">psmisc/psmisc</remote-id>
+ <remote-id type="sourceforge">psmisc</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sys-process/runit/runit-2.1.2-r1.ebuild b/sys-process/runit/runit-2.1.2-r1.ebuild
index 607ed990d6e..3dcf174b65d 100644
--- a/sys-process/runit/runit-2.1.2-r1.ebuild
+++ b/sys-process/runit/runit-2.1.2-r1.ebuild
@@ -49,7 +49,7 @@ src_install() {
einstalldocs
doman ../man/*.[18]
-dodir /etc/runit
+ dodir /etc/runit
exeinto /etc/runit
doexe "${FILESDIR}"/ctrlaltdel
newexe "${FILESDIR}"/1-${PV} 1
diff --git a/sys-process/schedtool/metadata.xml b/sys-process/schedtool/metadata.xml
index 99e2666c588..69b47102dc4 100644
--- a/sys-process/schedtool/metadata.xml
+++ b/sys-process/schedtool/metadata.xml
@@ -1,8 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
- </maintainer>
+ <!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="github">freequaos/schedtool</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sys-process/schedtool/schedtool-1.3.0-r1.ebuild b/sys-process/schedtool/schedtool-1.3.0-r1.ebuild
index 5e85a396971..1643893538d 100644
--- a/sys-process/schedtool/schedtool-1.3.0-r1.ebuild
+++ b/sys-process/schedtool/schedtool-1.3.0-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/freequaos/schedtool/archive/${P}.tar.gz"
LICENSE="GPL-2"
SLOT=0
-KEYWORDS="amd64 ~arm ~arm64 ~loong ~mips ppc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~loong ~mips ppc ~riscv x86 ~amd64-linux ~x86-linux"
IUSE=""
S="${WORKDIR}/${PN}-${P}"
diff --git a/sys-process/systemd-cron/Manifest b/sys-process/systemd-cron/Manifest
index 739e06fb5a1..139bd10ac7f 100644
--- a/sys-process/systemd-cron/Manifest
+++ b/sys-process/systemd-cron/Manifest
@@ -1,2 +1,2 @@
-DIST systemd-cron-1.5.17.tar.gz 32319 BLAKE2B 763cccebcaf98998d0e787352b4d3f2bc28a7e6ef0e800fe937fb2971a5dd8af2d9880076eadb5c3eddc23957d9b6b824b87a7a8be59c241f402ad78abed248e SHA512 20f93c108689efef5a72976509ffd567ed85dd1fada5074030018b5d560cc49f60337bdf888d1d75f6ce8b9b72e6314d754c78c19fa79d584740430e44240ef3
+DIST systemd-cron-1.15.19.tar.gz 33234 BLAKE2B d03c7024f9e4e569086e60908b07255e59259bc90182e34897746e1477e1b59da1934f239ef7c673e5df52c1831f07b2e759aeb7c514ba23dbbbeb780cb08a7b SHA512 90ddb3584550714a21e88a89e804511af434432b95398f325f547ee226499f8b73e153b9cdb611a11389baf434d12bc39414244b0e5e1d4565ceaac5db12b012
DIST systemd-cron-1.5.18.tar.gz 33056 BLAKE2B a400d0169c2dcb68c91358bd2af70dca133749dab801dc87b4cdf05b8ccebe5e250466bfce93938e575aa2d832af9a4977be2f02767d2d808e45b11888277c95 SHA512 7de6a5d05ee1d73c5348ecedf6029b498b26e8cdeecce87b58f206a1719c4a90fba853eb99b860734174469c99c75a4a6fa33c13b4aac45fdc71de7f3231b9e3
diff --git a/sys-process/systemd-cron/files/systemd-cron-1.15.19-default-mail-user.patch b/sys-process/systemd-cron/files/systemd-cron-1.15.19-default-mail-user.patch
new file mode 100644
index 00000000000..420f68d8109
--- /dev/null
+++ b/sys-process/systemd-cron/files/systemd-cron-1.15.19-default-mail-user.patch
@@ -0,0 +1,28 @@
+From 525410d5dc2a7c33590d25d6c574dec7eb826ec1 Mon Sep 17 00:00:00 2001
+From: Richard Freeman <rich0@gentoo.org>
+Date: Mon, 25 Jul 2022 15:36:21 -0400
+Subject: [PATCH] Fix default user fallback.
+
+Signed-off-by: Richard Freeman <rich0@gentoo.org>
+---
+ src/bin/mail_on_failure.py | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/src/bin/mail_on_failure.py b/src/bin/mail_on_failure.py
+index 132eab9..dd2288f 100755
+--- a/src/bin/mail_on_failure.py
++++ b/src/bin/mail_on_failure.py
+@@ -26,7 +26,9 @@ user = subprocess.check_output(
+ ['systemctl', 'show', args.unit, '--property=User'],
+ universal_newlines=True)
+ user = user.rstrip('\n')
+-user = user.split('=')[1] if user else 'root'
++user = user.split('=')[1]
++if not user:
++ user = 'root'
+
+ mailto = user
+ mailfrom = 'root'
+--
+2.35.1
+
diff --git a/sys-process/systemd-cron/systemd-cron-1.15.19-r1.ebuild b/sys-process/systemd-cron/systemd-cron-1.15.19-r1.ebuild
new file mode 100644
index 00000000000..40047550867
--- /dev/null
+++ b/sys-process/systemd-cron/systemd-cron-1.15.19-r1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+inherit python-single-r1 systemd
+
+DESCRIPTION="systemd units to create timers for cron directories and crontab"
+HOMEPAGE="https://github.com/systemd-cron/systemd-cron/"
+SRC_URI="https://github.com/systemd-cron/${PN}/archive/v${PV}.tar.gz -> systemd-cron-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="cron-boot etc-crontab-systemd minutely +runparts setgid test yearly"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=sys-apps/systemd-217
+ sys-apps/debianutils
+ !sys-process/cronie[anacron]
+ !etc-crontab-systemd? ( !sys-process/dcron )
+ ${PYTHON_DEPS}
+ sys-process/cronbase
+ acct-user/_cron-failure
+ acct-group/_cron-failure"
+
+DEPEND="sys-process/cronbase
+ test? ( sys-apps/man-db dev-python/pyflakes )"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+PATCHES=( "${FILESDIR}/${P}-default-mail-user.patch" )
+
+src_prepare() {
+ python_fix_shebang --force "${S}/src/bin"
+
+ sed -i \
+ -e 's/^crontab/crontab-systemd/' \
+ -e 's/^CRONTAB/CRONTAB-SYSTEMD/' \
+ -- "${S}/src/man/crontab."{1,5}".in" || die
+
+ sed -i \
+ -e 's!/crontab$!/crontab-systemd!' \
+ -e 's!/crontab\(\.[15]\)$!/crontab-systemd\1!' \
+ -e 's/pyflakes3/pyflakes/' \
+ -- "${S}/Makefile.in" || die
+
+ if use etc-crontab-systemd
+ then sed -i \
+ -e "s!/etc/crontab!/etc/crontab-systemd!" \
+ -- "${S}/src/man/crontab."{1,5}".in" \
+ "${S}/src/bin/systemd-crontab-generator.py" || die
+ fi
+
+ eapply "${PATCHES[@]}"
+ eapply_user
+}
+
+my_use_enable() {
+ if use ${1}; then
+ echo --enable-${2:-${1}}=yes
+ else
+ echo --enable-${2:-${1}}=no
+ fi
+}
+
+src_configure() {
+ ./configure \
+ --prefix="${EPREFIX}/usr" \
+ --confdir="${EPREFIX}/etc" \
+ --runparts="${EPREFIX}/bin/run-parts" \
+ --mandir="${EPREFIX}/usr/share/man" \
+ --unitdir="$(systemd_get_systemunitdir)" \
+ --generatordir="$(systemd_get_systemgeneratordir)" \
+ $(my_use_enable cron-boot boot) \
+ $(my_use_enable minutely) \
+ $(my_use_enable runparts) \
+ $(my_use_enable yearly) \
+ $(my_use_enable yearly quarterly) \
+ $(my_use_enable yearly semi_annually) \
+ $(my_use_enable setgid) \
+ --enable-persistent=yes
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/lib/sysusers.d/systemd-cron.conf
+}
+
+pkg_postinst() {
+ elog "This package now supports USE=runparts which is enabled by default."
+ elog "This enables the traditional run-parts behavior."
+ elog "If you disable this flag you will get the new behavior of having"
+ elog "multiple jobs for each cron.* entry run in parallel with"
+ elog "separate services/logs/etc."
+}
diff --git a/sys-process/systemd-cron/systemd-cron-1.5.17.ebuild b/sys-process/systemd-cron/systemd-cron-1.15.19.ebuild
index f80bf8b733c..901357eed0a 100644
--- a/sys-process/systemd-cron/systemd-cron-1.5.17.ebuild
+++ b/sys-process/systemd-cron/systemd-cron-1.15.19.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-PYTHON_COMPAT=( pypy3 python3_{7,8,9,10} )
+EAPI=8
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
inherit python-single-r1 systemd
DESCRIPTION="systemd units to create timers for cron directories and crontab"
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/systemd-cron/${PN}/archive/v${PV}.tar.gz -> systemd-
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ppc64 ~riscv sparc x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="cron-boot etc-crontab-systemd minutely +runparts setgid test yearly"
RESTRICT="!test? ( test )"
diff --git a/sys-process/systemd-cron/systemd-cron-1.5.18.ebuild b/sys-process/systemd-cron/systemd-cron-1.5.18.ebuild
index 0aafe93f288..cbbce93dba4 100644
--- a/sys-process/systemd-cron/systemd-cron-1.5.18.ebuild
+++ b/sys-process/systemd-cron/systemd-cron-1.5.18.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/systemd-cron/${PN}/archive/v${MY_PV}.tar.gz -> syste
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
IUSE="cron-boot etc-crontab-systemd minutely +runparts setgid test yearly"
RESTRICT="!test? ( test )"
diff --git a/sys-process/uksmd/Manifest b/sys-process/uksmd/Manifest
index aa92b9e99a4..7d2129381c0 100644
--- a/sys-process/uksmd/Manifest
+++ b/sys-process/uksmd/Manifest
@@ -1 +1 @@
-DIST uksmd-0_pre20211019.tar.bz2 14434 BLAKE2B de17d4dd566eec378062d2040b9387ddbe88f14c9d0ac121d7357d9da190fb5426476b59158655104af4de2be49d14367fe13328de2fb40df23cceddbf6f1a3e SHA512 89f3784c50e1a9bae28e12f562d1c28f97b71859d3b0e2d83416785f9c47cd7da2b93481855c4b46ae6c71c332534991c28b98a5497b301c1d674744308681ce
+DIST uksmd-0_pre20220705.tar.gz 15715 BLAKE2B f104a804cff15eb6b3a4ffd71180d67054f4e7c4ebbe10438f76aef96ca3d83740b24390183110a26691ebb832d6740765ab7ca5b7862a8d9afe09d1cacdc4d0 SHA512 a0e99e80e22e988ce98f790d5cc693a5b961e40ffa9650002c4ff39edb148b1586ded6b8321f5ea012f674ef8cbd03daca24dca557a773e23e83a373553f7ba9
diff --git a/sys-process/uksmd/files/uksmd-0-remove-systemd-dep.patch b/sys-process/uksmd/files/uksmd-0-remove-systemd-dep.patch
new file mode 100644
index 00000000000..6940f78e466
--- /dev/null
+++ b/sys-process/uksmd/files/uksmd-0-remove-systemd-dep.patch
@@ -0,0 +1,32 @@
+diff -Naur a/meson.build b/meson.build
+--- a/meson.build 2022-07-08 23:53:08.000000000 +0300
++++ b/meson.build 2022-07-14 08:12:38.358174169 +0300
+@@ -13,28 +13,6 @@
+ dependency('libcap-ng'),
+ ]
+
+-systemd = dependency('systemd', required: false)
+-
+-if systemd.found()
+- systemd_system_unit_dir = systemd.get_pkgconfig_variable('systemdsystemunitdir')
+- unit_files = [
+- 'uksmd.service'
+- ]
+-
+-
+- foreach u: unit_files
+- configure_file(
+- copy: true,
+- input: u,
+- install: true,
+- install_dir: systemd_system_unit_dir,
+- output: u,
+- )
+- endforeach
+-
+- project_dependencies += systemd
+-endif
+-
+ build_args = [
+ '-DPROJECT_NAME=' + meson.project_name(),
+ '-DPROJECT_VERSION=' + meson.project_version(),
diff --git a/sys-process/uksmd/files/uksmd-0_pre20200504-respect-cflags-ldflags.patch b/sys-process/uksmd/files/uksmd-0_pre20200504-respect-cflags-ldflags.patch
deleted file mode 100644
index 407198d5aba..00000000000
--- a/sys-process/uksmd/files/uksmd-0_pre20200504-respect-cflags-ldflags.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff -Naur a/Makefile b/Makefile
---- a/Makefile 2019-05-19 16:36:31.000000000 +0300
-+++ b/Makefile 2019-07-24 18:12:29.444896030 +0300
-@@ -1,8 +1,8 @@
- PROG = uksmd
- OBJS = uksmd.o
--PREFIX ?= /usr/local
--CFLAGS = -O3 -Wall -Wextra -pedantic -pipe -fstack-protector-strong -fno-plt
--LDFLAGS = -lprocps -lcap-ng
-+PREFIX ?= /usr
-+CFLAGS += -Wextra -pedantic -fstack-protector-strong -fno-plt
-+LDFLAGS += -lprocps -lcap-ng
-
- all: build
-
diff --git a/sys-process/uksmd/uksmd-0_pre20211019.ebuild b/sys-process/uksmd/uksmd-0_pre20211019.ebuild
deleted file mode 100644
index bbc2fd9e6bf..00000000000
--- a/sys-process/uksmd/uksmd-0_pre20211019.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit linux-info systemd
-
-MY_COMMIT="e1d4b12d22fd710f0155d75585940f0d439f1544"
-MY_P="${PN}-${MY_COMMIT}"
-
-DESCRIPTION="Userspace KSM helper daemon"
-HOMEPAGE="https://gitlab.com/post-factum/uksmd"
-SRC_URI="https://gitlab.com/post-factum/uksmd/-/archive/${MY_COMMIT}/${MY_P}.tar.bz2 -> ${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="sys-libs/libcap-ng
- sys-process/procps:="
-RDEPEND="${DEPEND}"
-
-CONFIG_CHECK="~KSM"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=( "${FILESDIR}/uksmd-0_pre20200504-respect-cflags-ldflags.patch" )
-
-src_install() {
- default
- einstalldocs
-
- newinitd "${FILESDIR}/uksmd.init" uksmd
- systemd_dounit distro/uksmd.service
-}
diff --git a/sys-process/uksmd/uksmd-0_pre20220705-r1.ebuild b/sys-process/uksmd/uksmd-0_pre20220705-r1.ebuild
new file mode 100644
index 00000000000..cd90995efde
--- /dev/null
+++ b/sys-process/uksmd/uksmd-0_pre20220705-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info meson systemd
+
+MY_COMMIT="f10f38e3adcaf6175e6c4c1846cad72ae9ab2cf2"
+
+DESCRIPTION="Userspace KSM helper daemon"
+HOMEPAGE="https://codeberg.org/pf-kernel/uksmd"
+SRC_URI="https://codeberg.org/pf-kernel/uksmd/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="sys-libs/libcap-ng
+ sys-process/procps:="
+RDEPEND="${DEPEND}"
+
+CONFIG_CHECK="~KSM"
+
+S="${WORKDIR}/uksmd"
+
+PATCHES=( "${FILESDIR}"/uksmd-0-remove-systemd-dep.patch )
+
+src_install() {
+ meson_src_install
+
+ newinitd "${FILESDIR}/uksmd.init" uksmd
+ systemd_dounit uksmd.service
+}